; ------------------------------------------------------------------------------------------------------------- ;
; Castles of Dr Creep - Sprites
; ------------------------------------------------------------------------------------------------------------- ;
; Sprite Data Header
; ------------------------------------------------------------------------------------------------------------- ;
CC_SpriteHdr        = $00                     ; 
CC_SpriteHdrLen       = $03                   ; 
CC_SpriteHdrNumCols = $00                     ; 
CC_SpriteHdrNumRows = $01                     ; 
CC_SpriteHdrLook    = $02                     ; 
CC_SpriteLookMultiC   = $10                   ; Bit4   : 0=MultiColor mode
CC_SpriteLookPrioBG   = $20                   ; Bit5   : 0=Sprite-BackGround prio
CC_SpriteLookXpandY   = $40                   ; Bit6   : 0=Y-expand
CC_SpriteLookXpandX   = $80                   ; Bit7   : 0=X-expand
CC_SpriteLookColors   = $0f                   ; Bits3-0: Sprite color 0

CC_SpriteData       = CC_SpriteHdr + CC_SpriteHdrLen
; ------------------------------------------------------------------------------------------------------------- ;
; Colors
; ------------------------------------------------------------------------------------------------------------- ;
CC_PlayerColor      = CC_MultiColor0Player1   ; will be changed for player2
CC_BeamColor        = RED                     ; 
CC_MummyColor       = WHITE                   ; 
CC_FrankColor       = GREY                    ; 
CC_SparkColor       = WHITE                   ; 
CC_ArrowColor       = BLACK                   ; 
CC_ForceFieldColor  = WHITE                   ; 

CC_PlayerLook       = CC_PlayerColor          ; all special attributes on
CC_BeamLook         = CC_BeamColor            ; all special attributes on
CC_FrankLook        = CC_FrankColor           ; all special attributes on
CC_MummyLook        = CC_SpriteLookMultiC + CC_MummyColor ; multi color off
CC_ArrowLook        = CC_SpriteLookMultiC + CC_SpriteLookPrioBG + CC_ArrowColor ; XpandY and XpandX on only
CC_SparkLook        = CC_SpriteLookMultiC + CC_SpriteLookPrioBG + CC_SpriteLookXpandY + CC_SparkColor ; XpandX on only
CC_ForceFieldLook0  = CC_SpriteLookMultiC + CC_SpriteLookPrioBG + CC_ForceFieldColor                       ; off - XpandX and XpandY on
CC_ForceFieldLook1  = CC_SpriteLookMultiC + CC_SpriteLookPrioBG + CC_SpriteLookXpandY + CC_ForceFieldColor ; on  - XpandX on
; ------------------------------------------------------------------------------------------------------------- ;
DatPlrMovLe01       dc.b $02 ; cols (in bytes)
                    dc.b $14 ; rows
                    dc.b CC_PlayerLook        ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000011, %00000000 ; ......##........ $03, $00
                    dc.b %00001111, %11000000 ; ....######...... $0f, $c0 
                    dc.b %00000110, %11000000 ; .....##.##...... $06, $c0 
                    dc.b %00001010, %10000000 ; ....#.#.#....... $0a, $80 
                    dc.b %00001010, %10000000 ; ....#.#.#....... $0a, $80 
                    dc.b %00000010, %00000000 ; ......#......... $02, $00 
                    dc.b %00000001, %01000000 ; .......#.#...... $01, $40 
                    dc.b %00000001, %01010000 ; .......#.#.#.... $01, $50 
                    dc.b %00010101, %01000100 ; ...#.#.#.#...#.. $15, $44 
                    dc.b %10000001, %01000100 ; #......#.#...#.. $81, $44 
                    dc.b %00000001, %01001000 ; .......#.#..#... $01, $48 
                    dc.b %00000001, %01000000 ; .......#.#...... $01, $40 
                    dc.b %00000011, %11000000 ; ......####...... $03, $c0 
                    dc.b %00000011, %11000000 ; ......####...... $03, $c0 
                    dc.b %00001111, %11000000 ; ....######...... $0f, $c0 
                    dc.b %00001100, %11111000 ; ....##..#####... $0c, $f8 
                    dc.b %00001100, %00001000 ; ....##......#... $0c, $08 
                    dc.b %00001100, %00001000 ; ....##......#... $0c, $08 
                    dc.b %00001000, %00000000 ; ....#........... $08, $00 
                    dc.b %00101000, %00000000 ; ..#.#........... $28, $00 
                    
DatPlrMovLe02       dc.b $02 ; cols (in bytes)
                    dc.b $14 ; rows
                    dc.b CC_PlayerLook        ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000011, %00000000 ; ......##........ $03, $00
                    dc.b %00001111, %11000000 ; ....######...... $0f, $c0
                    dc.b %00000110, %11000000 ; .....##.##...... $06, $c0
                    dc.b %00001010, %11000000 ; ....#.#.##...... $0a, $c0
                    dc.b %00001010, %10000000 ; ....#.#.#....... $0a, $80
                    dc.b %00000010, %00000000 ; ......#......... $02, $00
                    dc.b %00000001, %01000000 ; .......#.#...... $01, $40
                    dc.b %00000001, %01010000 ; .......#.#.#.... $01, $50
                    dc.b %00000001, %01010000 ; .......#.#.#.... $01, $50
                    dc.b %00000001, %01010000 ; .......#.#.#.... $01, $50
                    dc.b %00100101, %01100000 ; ..#..#.#.##..... $25, $60
                    dc.b %00000001, %01000000 ; .......#.#...... $01, $40
                    dc.b %00000011, %11000000 ; ......####...... $03, $c0
                    dc.b %00001111, %11000000 ; ....######...... $0f, $c0
                    dc.b %00001111, %11000000 ; ....######...... $0f, $c0
                    dc.b %00000000, %11000000 ; ........##...... $00, $c0
                    dc.b %00000000, %11100000 ; ........###..... $00, $e0
                    dc.b %00000000, %11100000 ; ........###..... $00, $e0
                    dc.b %00000000, %10000000 ; ........#....... $00, $80
                    dc.b %00000010, %10000000 ; ......#.#....... $02, $80
                    
DatPlrMovLe03       dc.b $02 ; cols (in bytes)
                    dc.b $13 ; rows
                    dc.b CC_PlayerLook        ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000011, %00000000 ; ......##........ $03, $00
                    dc.b %00001111, %11000000 ; ....######...... $0f, $c0
                    dc.b %00000110, %11000000 ; .....##.##...... $06, $c0
                    dc.b %00001010, %10000000 ; ....#.#.#....... $0a, $80
                    dc.b %00001010, %10000000 ; ....#.#.#....... $0a, $80
                    dc.b %00000010, %00000000 ; ......#......... $02, $00
                    dc.b %00000001, %01000000 ; .......#.#...... $01, $40
                    dc.b %10000001, %01010100 ; #......#.#.#.#.. $81, $54
                    dc.b %00010101, %01000010 ; ...#.#.#.#....#. $15, $42
                    dc.b %00000001, %01000000 ; .......#.#...... $01, $40
                    dc.b %00000001, %01000000 ; .......#.#...... $01, $40
                    dc.b %00000001, %01000000 ; .......#.#...... $01, $40
                    dc.b %00001111, %11000000 ; ....######...... $0f, $c0
                    dc.b %00111100, %11000000 ; ..####..##...... $3c, $c0
                    dc.b %00110000, %00110000 ; ..##......##.... $30, $30
                    dc.b %00110000, %00110000 ; ..##......##.... $30, $30
                    dc.b %00100000, %00001100 ; ..#.........##.. $20, $0c
                    dc.b %10100000, %00001000 ; #.#.........#... $a0, $08
                    dc.b %00000000, %00001000 ; ............#... $00, $08
                    
DatPlrMovRi01       dc.b $02 ; cols (in bytes)
                    dc.b $14 ; rows
                    dc.b CC_PlayerLook        ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000000, %11000000 ; ........##...... $00, $c0
                    dc.b %00000011, %11110000 ; ......######.... $03, $f0
                    dc.b %00000011, %10010000 ; ......###..#.... $03, $90
                    dc.b %00000011, %10100000 ; ......###.#..... $03, $a0
                    dc.b %00000010, %10100000 ; ......#.#.#..... $02, $a0
                    dc.b %00000000, %10000000 ; ........#....... $00, $80
                    dc.b %00000001, %01000000 ; .......#.#...... $01, $40
                    dc.b %00000101, %01000000 ; .....#.#.#...... $05, $40
                    dc.b %00010001, %01010100 ; ...#...#.#.#.#.. $11, $54
                    dc.b %00010001, %01000010 ; ...#...#.#....#. $11, $42
                    dc.b %00100001, %01000000 ; ..#....#.#...... $21, $40
                    dc.b %00000001, %01000000 ; .......#.#...... $01, $40
                    dc.b %00000011, %11000000 ; ......####...... $03, $c0
                    dc.b %00000011, %11000000 ; ......####...... $03, $c0
                    dc.b %00000011, %11110000 ; ......######.... $03, $f0
                    dc.b %00101111, %00110000 ; ..#.####..##.... $2f, $30
                    dc.b %00100000, %00110000 ; ..#.......##.... $20, $30
                    dc.b %00100000, %00110000 ; ..#.......##.... $20, $30
                    dc.b %00000000, %00100000 ; ..........#..... $00, $20
                    dc.b %00000000, %00101000 ; ..........#.#... $00, $28
                    
DatPlrMovRi02       dc.b $02 ; cols (in bytes)
                    dc.b $14 ; rows
                    dc.b CC_PlayerLook        ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000000, %11000000 ; ........##...... $00, $c0
                    dc.b %00000011, %11110000 ; ......######.... $03, $f0
                    dc.b %00000011, %10010000 ; ......###..#.... $03, $90
                    dc.b %00000010, %10100000 ; ......#.#.#..... $02, $a0
                    dc.b %00000010, %10100000 ; ......#.#.#..... $02, $a0
                    dc.b %00000000, %10000000 ; ........#....... $00, $80
                    dc.b %00000001, %01000000 ; .......#.#...... $01, $40
                    dc.b %00000101, %01000000 ; .....#.#.#...... $05, $40
                    dc.b %00000101, %01000000 ; .....#.#.#...... $05, $40
                    dc.b %00000101, %01000000 ; .....#.#.#...... $05, $40
                    dc.b %00001001, %01011000 ; ....#..#.#.##... $09, $58
                    dc.b %00000001, %01000000 ; .......#.#...... $01, $40
                    dc.b %00000011, %11000000 ; ......####...... $03, $c0
                    dc.b %00000011, %11110000 ; ......######.... $03, $f0
                    dc.b %00000011, %11110000 ; ......######.... $03, $f0
                    dc.b %00000011, %00000000 ; ......##........ $03, $00
                    dc.b %00001011, %00000000 ; ....#.##........ $0b, $00
                    dc.b %00001011, %00000000 ; ....#.##........ $0b, $00
                    dc.b %00000010, %00000000 ; ......#......... $02, $00
                    dc.b %00000010, %10000000 ; ......#.#....... $02, $80
                    
DatPlrMovRi03       dc.b $02 ; cols (in bytes)
                    dc.b $13 ; rows
                    dc.b CC_PlayerLook        ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000000, %11000000 ; ........##...... $00, $c0
                    dc.b %00000011, %11110000 ; ......######.... $03, $f0
                    dc.b %00000011, %10010000 ; ......###..#.... $03, $90
                    dc.b %00000011, %10100000 ; ......###.#..... $03, $a0
                    dc.b %00000010, %10100000 ; ......#.#.#..... $02, $a0
                    dc.b %00000000, %10000000 ; ........#....... $00, $80
                    dc.b %00000001, %01000000 ; .......#.#...... $01, $40
                    dc.b %00010101, %01000010 ; ...#.#.#.#....#. $15, $42
                    dc.b %10000001, %01010100 ; #......#.#.#.#.. $81, $54
                    dc.b %00000001, %01000000 ; .......#.#...... $01, $40
                    dc.b %00000001, %01000000 ; .......#.#...... $01, $40
                    dc.b %00000001, %01000000 ; .......#.#...... $01, $40
                    dc.b %00000011, %11110000 ; ......######.... $03, $f0
                    dc.b %00000011, %00111100 ; ......##..####.. $03, $3c
                    dc.b %00001100, %00001100 ; ....##......##.. $0c, $0c
                    dc.b %00001100, %00001100 ; ....##......##.. $0c, $0c
                    dc.b %00110000, %00001000 ; ..##........#... $30, $08
                    dc.b %00100000, %00001010 ; ..#.........#.#. $20, $0a
                    dc.b %00100000, %00000000 ; ..#............. $20, $00
                    
DatPlrArrRoRi       dc.b $02 ; cols (in bytes)
                    dc.b $13 ; rows
                    dc.b CC_PlayerLook        ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000011, %00000000 ; ......##........ $03, $00
                    dc.b %00001111, %11000000 ; ....######...... $0f, $c0
                    dc.b %00000110, %11000000 ; .....##.##...... $06, $c0
                    dc.b %00001010, %10000000 ; ....#.#.#....... $0a, $80
                    dc.b %00001010, %10000000 ; ....#.#.#....... $0a, $80
                    dc.b %00000010, %00000000 ; ......#......... $02, $00
                    dc.b %00000001, %01000000 ; .......#.#...... $01, $40
                    dc.b %00000001, %01010000 ; .......#.#.#.... $01, $50
                    dc.b %00100101, %01001000 ; ..#..#.#.#..#... $25, $48
                    dc.b %00000001, %01000000 ; .......#.#...... $01, $40
                    dc.b %00000001, %01000000 ; .......#.#...... $01, $40
                    dc.b %00000001, %01000000 ; .......#.#...... $01, $40
                    dc.b %00000011, %11000000 ; ......####...... $03, $c0
                    dc.b %00001111, %11000000 ; ....######...... $0f, $c0
                    dc.b %00001100, %11000000 ; ....##..##...... $0c, $c0
                    dc.b %00001100, %00110000 ; ....##....##.... $0c, $30
                    dc.b %00001000, %00110000 ; ....#.....##.... $08, $30
                    dc.b %00101000, %00100000 ; ..#.#.....#..... $28, $20
                    dc.b %00000000, %00100000 ; ..........#..... $00, $20
                    
DatPlrArrRoLe       dc.b $02 ; cols (in bytes)
                    dc.b $13 ; rows
                    dc.b CC_PlayerLook        ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000000, %11000000 ; ........##...... $00, $c0
                    dc.b %00000011, %11110000 ; ......######.... $03, $f0
                    dc.b %00000011, %10010000 ; ......###..#.... $03, $90
                    dc.b %00000010, %10100000 ; ......#.#.#..... $02, $a0
                    dc.b %00000010, %10100000 ; ......#.#.#..... $02, $a0
                    dc.b %00000000, %10000000 ; ........#....... $00, $80
                    dc.b %00000001, %01000000 ; .......#.#...... $01, $40
                    dc.b %00000101, %01000000 ; .....#.#.#...... $05, $40
                    dc.b %00100001, %01011000 ; ..#....#.#.##... $21, $58
                    dc.b %00000001, %01000000 ; .......#.#...... $01, $40
                    dc.b %00000001, %01000000 ; .......#.#...... $01, $40
                    dc.b %00000001, %01000000 ; .......#.#...... $01, $40
                    dc.b %00000011, %11000000 ; ......####...... $03, $c0
                    dc.b %00000011, %11110000 ; ......######.... $03, $f0
                    dc.b %00000011, %00110000 ; ......##..##.... $03, $30
                    dc.b %00001100, %00110000 ; ....##....##.... $0c, $30
                    dc.b %00001100, %00100000 ; ....##....#..... $0c, $20
                    dc.b %00001000, %00101000 ; ....#.....#.#... $08, $28
                    dc.b %00001000, %00000000 ; ....#........... $08, $00
                    
DatPlrMovLa01       dc.b $02 ; cols (in bytes)
                    dc.b $14 ; rows
                    dc.b CC_PlayerLook        ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000000, %00001000 ; ............#... $00, $08
                    dc.b %00000000, %00000100 ; .............#.. $00, $04
                    dc.b %00000011, %11000100 ; ......####...#.. $03, $c4
                    dc.b %00001110, %10110100 ; ....###.#.##.#.. $0e, $b4
                    dc.b %00100110, %10010100 ; ..#..##.#..#.#.. $26, $94
                    dc.b %00011010, %10100000 ; ...##.#.#.#..... $1a, $a0
                    dc.b %00010010, %10000000 ; ...#..#.#....... $12, $80
                    dc.b %00010001, %01000000 ; ...#...#.#...... $11, $40
                    dc.b %00010101, %01010000 ; ...#.#.#.#.#.... $15, $50
                    dc.b %00000101, %01010000 ; .....#.#.#.#.... $05, $50
                    dc.b %00000101, %01010000 ; .....#.#.#.#.... $05, $50
                    dc.b %00000101, %01010000 ; .....#.#.#.#.... $05, $50
                    dc.b %00001111, %11111100 ; ....##########.. $0f, $fc
                    dc.b %00001111, %11111100 ; ....##########.. $0f, $fc
                    dc.b %00000000, %00001000 ; ............#... $00, $08
                    dc.b %00110000, %00000000 ; ..##............ $30, $00
                    dc.b %00110000, %00000000 ; ..##............ $30, $00
                    dc.b %00110000, %00000000 ; ..##............ $30, $00
                    dc.b %00110000, %00000000 ; ..##............ $30, $00
                    dc.b %00100000, %00000000 ; ..#............. $20, $00
                    
DatPlrMovLa02       dc.b $02 ; cols (in bytes)
                    dc.b $14 ; rows
                    dc.b CC_PlayerLook        ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000000, %00000000 ; ................ $00, $00
                    dc.b %00000000, %00000000 ; ................ $00, $00
                    dc.b %00000011, %11001000 ; ......####..#... $03, $c8
                    dc.b %00001110, %10110100 ; ....###.#.##.#.. $0e, $b4
                    dc.b %00000110, %10010100 ; .....##.#..#.#.. $06, $94
                    dc.b %00001010, %10100100 ; ....#.#.#.#..#.. $0a, $a4
                    dc.b %00100010, %10000100 ; ..#...#.#....#.. $22, $84
                    dc.b %00010001, %01000000 ; ...#...#.#...... $11, $40
                    dc.b %00010101, %01010000 ; ...#.#.#.#.#.... $15, $50
                    dc.b %00000101, %01010000 ; .....#.#.#.#.... $05, $50
                    dc.b %00000101, %01010000 ; .....#.#.#.#.... $05, $50
                    dc.b %00000101, %01010000 ; .....#.#.#.#.... $05, $50
                    dc.b %00001111, %11110000 ; ....########.... $0f, $f0
                    dc.b %00001111, %11110000 ; ....########.... $0f, $f0
                    dc.b %00110000, %00001100 ; ..##........##.. $30, $0c
                    dc.b %00110000, %00001100 ; ..##........##.. $30, $0c
                    dc.b %00110000, %00001000 ; ..##........#... $30, $08
                    dc.b %00100000, %00000000 ; ..#............. $20, $00
                    dc.b %00000000, %00000000 ; ................ $00, $00
                    dc.b %00000000, %00000000 ; ................ $00, $00
                    
DatPlrMovLa03       dc.b $02 ; cols (in bytes)
                    dc.b $14 ; rows
                    dc.b CC_PlayerLook        ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00100000, %00000000 ; ..#............. $20, $00
                    dc.b %00010000, %00000000 ; ...#............ $10, $00
                    dc.b %00010011, %11000000 ; ...#..####...... $13, $c0
                    dc.b %00011110, %10110000 ; ...####.#.##.... $1e, $b0
                    dc.b %00010110, %10011000 ; ...#.##.#..##... $16, $98
                    dc.b %00001010, %10100100 ; ....#.#.#.#..#.. $0a, $a4
                    dc.b %00000010, %10000100 ; ......#.#....#.. $02, $84
                    dc.b %00000001, %01000100 ; .......#.#...#.. $01, $44
                    dc.b %00000101, %01010100 ; .....#.#.#.#.#.. $05, $54
                    dc.b %00000101, %01010000 ; .....#.#.#.#.... $05, $50
                    dc.b %00000101, %01010000 ; .....#.#.#.#.... $05, $50
                    dc.b %00000101, %01010000 ; .....#.#.#.#.... $05, $50
                    dc.b %00111111, %11110000 ; ..##########.... $3f, $f0
                    dc.b %00111111, %11110000 ; ..##########.... $3f, $f0
                    dc.b %00100000, %00000000 ; ..#............. $20, $00
                    dc.b %00000000, %00001100 ; ............##.. $00, $0c
                    dc.b %00000000, %00001100 ; ............##.. $00, $0c
                    dc.b %00000000, %00001100 ; ............##.. $00, $0c
                    dc.b %00000000, %00001100 ; ............##.. $00, $0c
                    dc.b %00000000, %00001000 ; ............#... $00, $08
                    
DatPlrMovLa04       dc.b $02 ; cols (in bytes)
                    dc.b $14 ; rows
                    dc.b CC_PlayerLook        ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000000, %00000000 ; ................ $00, $00
                    dc.b %00000000, %00000000 ; ................ $00, $00
                    dc.b %00100011, %11000000 ; ..#...####...... $23, $c0
                    dc.b %00011110, %10110000 ; ...####.#.##.... $1e, $b0
                    dc.b %00010110, %10010000 ; ...#.##.#..#.... $16, $90
                    dc.b %00011010, %10100000 ; ...##.#.#.#..... $1a, $a0
                    dc.b %00010010, %10001000 ; ...#..#.#...#... $12, $88
                    dc.b %00000001, %01000100 ; .......#.#...#.. $01, $44
                    dc.b %00000101, %01010100 ; .....#.#.#.#.#.. $05, $54
                    dc.b %00000101, %01010000 ; .....#.#.#.#.... $05, $50
                    dc.b %00000101, %01010000 ; .....#.#.#.#.... $05, $50
                    dc.b %00000101, %01010000 ; .....#.#.#.#.... $05, $50
                    dc.b %00001111, %11110000 ; ....########.... $0f, $f0
                    dc.b %00001111, %11110000 ; ....########.... $0f, $f0
                    dc.b %00110000, %00001100 ; ..##........##.. $30, $0c
                    dc.b %00110000, %00001100 ; ..##........##.. $30, $0c
                    dc.b %00100000, %00001100 ; ..#.........##.. $20, $0c
                    dc.b %00000000, %00001000 ; ............#... $00, $08
                    dc.b %00000000, %00000000 ; ................ $00, $00
                    dc.b %00000000, %00000000 ; ................ $00, $00
                    
DatPlrMovPole       dc.b $02 ; cols (in bytes)
                    dc.b $14 ; rows
                    dc.b CC_PlayerLook        ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000010, %00000000 ; ......#......... $02, $00
                    dc.b %00000100, %01000000 ; .....#...#...... $04, $40
                    dc.b %00010010, %00010000 ; ...#..#....#.... $12, $10
                    dc.b %00011010, %10010000 ; ...##.#.#..#.... $1a, $90
                    dc.b %00011010, %10010000 ; ...##.#.#..#.... $1a, $90
                    dc.b %00011010, %10010000 ; ...##.#.#..#.... $1a, $90
                    dc.b %00010010, %00010000 ; ...#..#....#.... $12, $10
                    dc.b %00010101, %01010000 ; ...#.#.#.#.#.... $15, $50
                    dc.b %00000101, %01000000 ; .....#.#.#...... $05, $40
                    dc.b %00000101, %01000000 ; .....#.#.#...... $05, $40
                    dc.b %00000101, %01000000 ; .....#.#.#...... $05, $40
                    dc.b %00000101, %01000000 ; .....#.#.#...... $05, $40
                    dc.b %00000101, %01000000 ; .....#.#.#...... $05, $40
                    dc.b %00001111, %11000000 ; ....######...... $0f, $c0
                    dc.b %00001111, %11000000 ; ....######...... $0f, $c0
                    dc.b %00111100, %11110000 ; ..####..####.... $3c, $f0
                    dc.b %00110000, %00110000 ; ..##......##.... $30, $30
                    dc.b %00001100, %11000000 ; ....##..##...... $0c, $c0
                    dc.b %00000010, %00000000 ; ......#......... $02, $00
                    dc.b %00001000, %10000000 ; ....#...#....... $08, $80
                    
DatPlrWavGB01       dc.b $02 ; cols (in bytes)
                    dc.b $15 ; rows
                    dc.b CC_PlayerLook        ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000000, %00001000 ; ............#... $00, $08
                    dc.b %00000011, %00001000 ; ......##....#... $03, $08
                    dc.b %00001111, %11000100 ; ....######...#.. $0f, $c4
                    dc.b %00000110, %01000100 ; .....##..#...#.. $06, $44
                    dc.b %00001010, %10000100 ; ....#.#.#....#.. $0a, $84
                    dc.b %00001001, %10000100 ; ....#..##....#.. $09, $84
                    dc.b %00000010, %00000100 ; ......#......#.. $02, $04
                    dc.b %00000101, %01010000 ; .....#.#.#.#.... $05, $50
                    dc.b %00010101, %01000000 ; ...#.#.#.#...... $15, $40
                    dc.b %01000101, %01000000 ; .#...#.#.#...... $45, $40
                    dc.b %01000101, %01000000 ; .#...#.#.#...... $45, $40
                    dc.b %01000101, %01000000 ; .#...#.#.#...... $45, $40
                    dc.b %00100101, %01000000 ; ..#..#.#.#...... $25, $40
                    dc.b %00001111, %11000000 ; ....######...... $0f, $c0
                    dc.b %00001111, %11000000 ; ....######...... $0f, $c0
                    dc.b %00001100, %11000000 ; ....##..##...... $0c, $c0
                    dc.b %00001100, %11000000 ; ....##..##...... $0c, $c0
                    dc.b %00001100, %11000000 ; ....##..##...... $0c, $c0
                    dc.b %00001100, %11000000 ; ....##..##...... $0c, $c0
                    dc.b %00101000, %10100000 ; ..#.#...#.#..... $28, $a0
                    dc.b %00100000, %00100000 ; ..#.......#..... $20, $20
                    
DatPlrWavGB02       dc.b $02 ; cols (in bytes)
                    dc.b $15 ; rows
                    dc.b CC_PlayerLook        ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000000, %00000010 ; ..............#. $00, $02
                    dc.b %00000011, %00000010 ; ......##......#. $03, $02
                    dc.b %00001111, %11000001 ; ....######.....# $0f, $c1
                    dc.b %00000110, %01000100 ; .....##..#...#.. $06, $44
                    dc.b %00001010, %10000100 ; ....#.#.#....#.. $0a, $84
                    dc.b %00001010, %10000100 ; ....#.#.#....#.. $0a, $84
                    dc.b %00000010, %00000100 ; ......#......#.. $02, $04
                    dc.b %00000101, %01010000 ; .....#.#.#.#.... $05, $50
                    dc.b %00010101, %01000000 ; ...#.#.#.#...... $15, $40
                    dc.b %01000101, %01000000 ; .#...#.#.#...... $45, $40
                    dc.b %01000101, %01000000 ; .#...#.#.#...... $45, $40
                    dc.b %01000101, %01000000 ; .#...#.#.#...... $45, $40
                    dc.b %00100101, %01000000 ; ..#..#.#.#...... $25, $40
                    dc.b %00001111, %11000000 ; ....######...... $0f, $c0
                    dc.b %00001111, %11000000 ; ....######...... $0f, $c0
                    dc.b %00001100, %11000000 ; ....##..##...... $0c, $c0
                    dc.b %00001100, %11000000 ; ....##..##...... $0c, $c0
                    dc.b %00001100, %11000000 ; ....##..##...... $0c, $c0
                    dc.b %00001100, %11000000 ; ....##..##...... $0c, $c0
                    dc.b %00101000, %10100000 ; ..#.#...#.#..... $28, $a0
                    dc.b %00100000, %00100000 ; ..#.......#..... $20, $20
                    
DatPlrWavGB04       dc.b $02 ; cols (in bytes)
                    dc.b $15 ; rows
                    dc.b CC_PlayerLook        ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000000, %00100000 ; ..........#..... $00, $20
                    dc.b %00000011, %00100000 ; ......##..#..... $03, $20
                    dc.b %00001111, %11010000 ; ....######.#.... $0f, $d0
                    dc.b %00000110, %01000100 ; .....##..#...#.. $06, $44
                    dc.b %00001010, %10000100 ; ....#.#.#....#.. $0a, $84
                    dc.b %00001010, %10000100 ; ....#.#.#....#.. $0a, $84
                    dc.b %00000010, %00000100 ; ......#......#.. $02, $04
                    dc.b %00000101, %01010000 ; .....#.#.#.#.... $05, $50
                    dc.b %00010101, %01000000 ; ...#.#.#.#...... $15, $40
                    dc.b %01000101, %01000000 ; .#...#.#.#...... $45, $40
                    dc.b %01000101, %01000000 ; .#...#.#.#...... $45, $40
                    dc.b %01000101, %01000000 ; .#...#.#.#...... $45, $40
                    dc.b %00100101, %01000000 ; ..#..#.#.#...... $25, $40
                    dc.b %00001111, %11000000 ; ....######...... $0f, $c0
                    dc.b %00001111, %11000000 ; ....######...... $0f, $c0
                    dc.b %00001100, %11000000 ; ....##..##...... $0c, $c0
                    dc.b %00001100, %11000000 ; ....##..##...... $0c, $c0
                    dc.b %00001100, %11000000 ; ....##..##...... $0c, $c0
                    dc.b %00001100, %11000000 ; ....##..##...... $0c, $c0
                    dc.b %00101000, %10100000 ; ..#.#...#.#..... $28, $a0
                    dc.b %00100000, %00100000 ; ..#.......#..... $20, $20
                    
DatPlrArrRo01       dc.b $02 ; cols (in bytes)
                    dc.b $11 ; rows
                    dc.b CC_PlayerLook        ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000000, %11000000 ; ........##...... $00, $c0
                    dc.b %00000011, %11110000 ; ......######.... $03, $f0
                    dc.b %00000010, %10100000 ; ......#.#.#..... $02, $a0
                    dc.b %00000010, %10100000 ; ......#.#.#..... $02, $a0
                    dc.b %00000000, %10000000 ; ........#....... $00, $80
                    dc.b %00000001, %01000000 ; .......#.#...... $01, $40
                    dc.b %00000101, %01010000 ; .....#.#.#.#.... $05, $50
                    dc.b %00000101, %01010000 ; .....#.#.#.#.... $05, $50
                    dc.b %00000101, %01010000 ; .....#.#.#.#.... $05, $50
                    dc.b %00001001, %01100000 ; ....#..#.##..... $09, $60
                    dc.b %00000011, %11000000 ; ......####...... $03, $c0
                    dc.b %00000011, %11000000 ; ......####...... $03, $c0
                    dc.b %00000011, %11110000 ; ......######.... $03, $f0
                    dc.b %00001111, %00110000 ; ....####..##.... $0f, $30
                    dc.b %00001000, %00110000 ; ....#.....##.... $08, $30
                    dc.b %00001000, %00100000 ; ....#.....#..... $08, $20
                    dc.b %00000000, %00100000 ; ..........#..... $00, $20
                    
DatPlrArrRo02       dc.b $02 ; cols (in bytes)
                    dc.b $0d ; rows
                    dc.b CC_PlayerLook        ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000011, %11000000 ; ......####...... $03, $c0
                    dc.b %00000010, %10000000 ; ......#.#....... $02, $80
                    dc.b %00000010, %10000000 ; ......#.#....... $02, $80
                    dc.b %00000000, %00000000 ; ................ $00, $00
                    dc.b %00000001, %01000000 ; .......#.#...... $01, $40
                    dc.b %00000101, %01000000 ; .....#.#.#...... $05, $40
                    dc.b %00001001, %01100000 ; ....#..#.##..... $09, $60
                    dc.b %00000001, %01000000 ; .......#.#...... $01, $40
                    dc.b %00000011, %11000000 ; ......####...... $03, $c0
                    dc.b %00000011, %11110000 ; ......######.... $03, $f0
                    dc.b %00000011, %11000000 ; ......####...... $03, $c0
                    dc.b %00000010, %00000000 ; ......#......... $02, $00
                    dc.b %00000010, %10000000 ; ......#.#....... $02, $80
                    
DatPlrArrRo03       dc.b $02 ; cols (in bytes)
                    dc.b $0a ; rows
                    dc.b CC_PlayerLook        ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000010, %10000000 ; ......#.#....... $02, $80
                    dc.b %00000010, %10000000 ; ......#.#....... $02, $80
                    dc.b %00000000, %00000000 ; ................ $00, $00
                    dc.b %00000001, %01000000 ; .......#.#...... $01, $40
                    dc.b %00001001, %01100000 ; ....#..#.##..... $09, $60
                    dc.b %00000001, %01000000 ; .......#.#...... $01, $40
                    dc.b %00000011, %11000000 ; ......####...... $03, $c0
                    dc.b %00000011, %00110000 ; ......##..##.... $03, $30
                    dc.b %00000011, %00110000 ; ......##..##.... $03, $30
                    dc.b %00000010, %00100000 ; ......#...#..... $02, $20
                    
DatPlrArrRo04       dc.b $02 ; cols (in bytes)
                    dc.b $07 ; rows
                    dc.b CC_PlayerLook        ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000000, %10000000 ; ........#....... $00, $80
                    dc.b %00000000, %10000000 ; ........#....... $00, $80
                    dc.b %00000000, %01000000 ; .........#...... $00, $40
                    dc.b %00000010, %01100000 ; ......#..##..... $02, $60
                    dc.b %00000000, %11000000 ; ........##...... $00, $c0
                    dc.b %00000000, %11000000 ; ........##...... $00, $c0
                    dc.b %00000000, %10000000 ; ........#....... $00, $80
                    
DatPlrArrRo05       dc.b $02 ; cols (in bytes)
                    dc.b $04 ; rows
                    dc.b CC_PlayerLook        ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000000, %00000000 ; ................ $00, $00
                    dc.b %00000001, %00000000 ; .......#........ $01, $00
                    dc.b %00000011, %00000000 ; ......##........ $03, $00
                    dc.b %00000010, %00000000 ; ......#......... $02, $00
                    
DatMumMovOu01       dc.b $01 ; cols (in bytes)
                    dc.b $02 ; rows
                    dc.b CC_MummyLook         ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00011110            ; ...####. $1e
                    dc.b %00111110            ; ..#####. $3e
                    
DatMumMovOu02       dc.b $02 ; cols (in bytes)
                    dc.b $04 ; rows
                    dc.b CC_MummyLook         ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %11110111, %11000000 ; ####.#####...... $f7, $c0
                    dc.b %11111111, %11000000 ; ##########...... $ff, $c0
                    dc.b %00011111, %11000000 ; ...#######...... $1f, $c0
                    dc.b %00111111, %10000000 ; ..#######....... $3f, $80
                    
DatMumMovOu03       dc.b $02 ; cols (in bytes)
                    dc.b $06 ; rows
                    dc.b CC_MummyLook         ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000001, %11111100 ; .......#######.. $01, $fc
                    dc.b %01100011, %11111100 ; .##...########.. $63, $fc
                    dc.b %11110111, %11111100 ; ####.#########.. $f7, $fc
                    dc.b %11111111, %11111100 ; ##############.. $ff, $fc
                    dc.b %00011111, %11111100 ; ...###########.. $1f, $fc
                    dc.b %00111111, %10000000 ; ..#######....... $3f, $80
                    
DatMumMovOu04       dc.b $03 ; cols (in bytes)
                    dc.b $06 ; rows
                    dc.b CC_MummyLook         ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000001, %11111100, %00000000 ; .......#######.......... $01, $fc, $00
                    dc.b %01100011, %11111111, %00000000 ; .##...##########........ $63, $ff, $00
                    dc.b %11110111, %11111111, %11000000 ; ####.#############...... $f7, $ff, $c0
                    dc.b %11111111, %11111111, %11000000 ; ##################...... $ff, $ff, $c0
                    dc.b %00011111, %11111110, %00000000 ; ...############......... $1f, $fe, $00
                    dc.b %00111111, %10000000, %00000000 ; ..#######............... $3f, $80, $00
                    
DatMumMovOu05       dc.b $03 ; cols (in bytes)
                    dc.b $06 ; rows
                    dc.b CC_MummyLook         ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000001, %11111100, %00000000 ; .......#######.......... $01, $fc, $00
                    dc.b %01100011, %11111111, %00000000 ; .##...##########........ $63, $ff, $00
                    dc.b %11110111, %11111111, %11111100 ; ####.#################.. $f7, $ff, $fc
                    dc.b %11111111, %11111111, %11111100 ; ######################.. $ff, $ff, $fc
                    dc.b %00011111, %11111110, %00000000 ; ...############......... $1f, $fe, $00
                    dc.b %00111111, %10000000, %00000000 ; ..#######............... $3f, $80, $00
                    
DatMumMovOu06       dc.b $03 ; cols (in bytes)
                    dc.b $06 ; rows
                    dc.b CC_MummyLook         ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000001, %11111100, %00000000 ; .......#######.......... $01, $fc, $00
                    dc.b %01100011, %11111111, %00000011 ; .##...##########......## $63, $ff, $03
                    dc.b %11110111, %11111111, %11111111 ; ####.################### $f7, $ff, $ff
                    dc.b %11111111, %11111111, %11111110 ; #######################. $ff, $ff, $fe
                    dc.b %00011111, %11111110, %00000000 ; ...############......... $1f, $fe, $00
                    dc.b %00111111, %10000000, %00000000 ; ..#######............... $3f, $80, $00
                    
DatMumMovLe01       dc.b $02 ; cols (in bytes)
                    dc.b $14 ; rows
                    dc.b CC_MummyLook         ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000000, %00110000 ; ..........##.... $00, $30
                    dc.b %00000000, %11111000 ; ........#####... $00, $f8
                    dc.b %00000000, %11111000 ; ........#####... $00, $f8
                    dc.b %00000000, %11111000 ; ........#####... $00, $f8
                    dc.b %00000000, %11111000 ; ........#####... $00, $f8
                    dc.b %00000000, %00111000 ; ..........###... $00, $38
                    dc.b %00001111, %11111000 ; ....#########... $0f, $f8
                    dc.b %00000000, %11111100 ; ........######.. $00, $fc
                    dc.b %00001111, %11111100 ; ....##########.. $0f, $fc
                    dc.b %00000000, %00111100 ; ..........####.. $00, $3c
                    dc.b %00000000, %00111100 ; ..........####.. $00, $3c
                    dc.b %00000000, %00111100 ; ..........####.. $00, $3c
                    dc.b %00000000, %00111100 ; ..........####.. $00, $3c
                    dc.b %00000000, %01111100 ; .........#####.. $00, $7c
                    dc.b %00000000, %01101110 ; .........##.###. $00, $6e
                    dc.b %00000000, %01100110 ; .........##..##. $00, $66
                    dc.b %00000000, %11000110 ; ........##...##. $00, $c6
                    dc.b %00000000, %11001111 ; ........##..#### $00, $cf
                    dc.b %00000011, %11001111 ; ......####..#### $03, $cf
                    dc.b %00000011, %11000000 ; ......####...... $03, $c0
                    
DatMumMovLe02       dc.b $02 ; cols (in bytes)
                    dc.b $14 ; rows
                    dc.b CC_MummyLook         ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000000, %00110000 ; ..........##.... $00, $30
                    dc.b %00000000, %11111000 ; ........#####... $00, $f8
                    dc.b %00000000, %11111000 ; ........#####... $00, $f8
                    dc.b %00000000, %11111000 ; ........#####... $00, $f8
                    dc.b %00000000, %11111000 ; ........#####... $00, $f8
                    dc.b %00001110, %00111000 ; ....###...###... $0e, $38
                    dc.b %00000001, %11111000 ; .......######... $01, $f8
                    dc.b %00000000, %00111100 ; ..........####.. $00, $3c
                    dc.b %00000001, %11111100 ; .......#######.. $01, $fc
                    dc.b %00001110, %00111100 ; ....###...####.. $0e, $3c
                    dc.b %00000000, %00111100 ; ..........####.. $00, $3c
                    dc.b %00000000, %00111100 ; ..........####.. $00, $3c
                    dc.b %00000000, %00111100 ; ..........####.. $00, $3c
                    dc.b %00000000, %00111100 ; ..........####.. $00, $3c
                    dc.b %00000000, %00111100 ; ..........####.. $00, $3c
                    dc.b %00000000, %11111000 ; ........#####... $00, $f8
                    dc.b %00000000, %11111100 ; ........######.. $00, $fc
                    dc.b %00000000, %00001100 ; ............##.. $00, $0c
                    dc.b %00000000, %00111100 ; ..........####.. $00, $3c
                    dc.b %00000000, %00111100 ; ..........####.. $00, $3c
                    
DatMumMovLe03       dc.b $02 ; cols (in bytes)
                    dc.b $14 ; rows
                    dc.b CC_MummyLook         ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000000, %00110000 ; ..........##.... $00, $30
                    dc.b %00000000, %11111000 ; ........#####... $00, $f8
                    dc.b %00000000, %11111000 ; ........#####... $00, $f8
                    dc.b %00000000, %11111000 ; ........#####... $00, $f8
                    dc.b %00000000, %11111000 ; ........#####... $00, $f8
                    dc.b %00000000, %00111000 ; ..........###... $00, $38
                    dc.b %00000000, %11111000 ; ........#####... $00, $f8
                    dc.b %00001111, %00111100 ; ....####..####.. $0f, $3c
                    dc.b %00001111, %11111100 ; ....##########.. $0f, $fc
                    dc.b %00000000, %00111100 ; ..........####.. $00, $3c
                    dc.b %00000000, %00111100 ; ..........####.. $00, $3c
                    dc.b %00000000, %00111100 ; ..........####.. $00, $3c
                    dc.b %00000000, %00111100 ; ..........####.. $00, $3c
                    dc.b %00000000, %00111100 ; ..........####.. $00, $3c
                    dc.b %00000000, %00110110 ; ..........##.##. $00, $36
                    dc.b %00000000, %00110110 ; ..........##.##. $00, $36
                    dc.b %00000000, %00110011 ; ..........##..## $00, $33
                    dc.b %00000000, %11110011 ; ........####..## $00, $f3
                    dc.b %00000000, %11110111 ; ........####.### $00, $f7
                    dc.b %00000000, %00000111 ; .............### $00, $07
                    
DatMumMovRi01       dc.b $03 ; cols (in bytes)
                    dc.b $14 ; rows
                    dc.b CC_MummyLook         ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000000, %00001100, %00000000 ; ............##.......... $00, $0c, $00
                    dc.b %00000000, %00011111, %00000000 ; ...........#####........ $00, $1f, $00
                    dc.b %00000000, %00011111, %00000000 ; ...........#####........ $00, $1f, $00
                    dc.b %00000000, %00011111, %00000000 ; ...........#####........ $00, $1f, $00
                    dc.b %00000000, %00011111, %00000000 ; ...........#####........ $00, $1f, $00
                    dc.b %00000000, %00011100, %00000000 ; ...........###.......... $00, $1c, $00
                    dc.b %00000000, %00011111, %11110000 ; ...........#########.... $00, $1f, $f0
                    dc.b %00000000, %00111100, %00000000 ; ..........####.......... $00, $3c, $00
                    dc.b %00000000, %00111111, %00000000 ; ..........######........ $00, $3f, $f0
                    dc.b %00000000, %00111100, %00000000 ; ..........####.......... $00, $3c, $00
                    dc.b %00000000, %00111100, %00000000 ; ..........####.......... $00, $3c, $00
                    dc.b %00000000, %00111100, %00000000 ; ..........####.......... $00, $3c, $00
                    dc.b %00000000, %00111100, %00000000 ; ..........####.......... $00, $3c, $00
                    dc.b %00000000, %00111110, %00000000 ; ..........#####......... $00, $3e, $00
                    dc.b %00000000, %01110110, %00000000 ; .........###.##......... $00, $76, $00
                    dc.b %00000000, %01100110, %00000000 ; .........##..##......... $00, $66, $00
                    dc.b %00000000, %01100011, %00000000 ; .........##...##........ $00, $63, $00
                    dc.b %00000000, %11110011, %00000000 ; ........####..##........ $00, $f3, $00
                    dc.b %00000000, %11110011, %00000000 ; ........####..##........ $00, $f3, $c0
                    dc.b %00000000, %00000011, %11000000 ; ..............####...... $00, $03, $c0
                    
DatMumMovRi02       dc.b $03 ; cols (in bytes)
                    dc.b $14 ; rows
                    dc.b CC_MummyLook         ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000000, %00001100, %00000000 ; ............##.......... $00, $0c, $00
                    dc.b %00000000, %00011111, %00000000 ; ...........#####........ $00, $1f, $00
                    dc.b %00000000, %00011111, %00000000 ; ...........#####........ $00, $1f, $00
                    dc.b %00000000, %00011111, %00000000 ; ...........#####........ $00, $1f, $00
                    dc.b %00000000, %00011111, %00000000 ; ...........#####........ $00, $1f, $00
                    dc.b %00000000, %00011100, %01110000 ; ...........###...###.... $00, $1c, $70
                    dc.b %00000000, %00011111, %10000000 ; ...........######....... $00, $1f, $80
                    dc.b %00000000, %00111100, %00000000 ; ..........####.......... $00, $3c, $00
                    dc.b %00000000, %00111111, %10000000 ; ..........#######....... $00, $3f, $80
                    dc.b %00000000, %00111100, %11110000 ; ..........####..####.... $00, $3c, $f0
                    dc.b %00000000, %00111100, %00000000 ; ..........####.......... $00, $3c, $00
                    dc.b %00000000, %00111100, %00000000 ; ..........####.......... $00, $3c, $00
                    dc.b %00000000, %00111100, %00000000 ; ..........####.......... $00, $3c, $00
                    dc.b %00000000, %00111100, %00000000 ; ..........####.......... $00, $3c, $00
                    dc.b %00000000, %00111100, %00000000 ; ..........####.......... $00, $3c, $00
                    dc.b %00000000, %00111111, %00000000 ; ..........######........ $00, $1f, $00
                    dc.b %00000000, %00111111, %00000000 ; ..........######........ $00, $1f, $00
                    dc.b %00000000, %00110000, %00000000 ; ..........##............ $00, $30, $00
                    dc.b %00000000, %00111100, %00000000 ; ..........####.......... $00, $3c, $00
                    dc.b %00000000, %00111100, %00000000 ; ..........####.......... $00, $3c, $00
                    
DatMumMovRi03       dc.b $03 ; cols (in bytes)
                    dc.b $14 ; rows
                    dc.b CC_MummyLook         ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000000, %00001100, %00000000 ; ............##.......... $00, $0c, $00
                    dc.b %00000000, %00011111, %00000000 ; ...........#####........ $00, $1f, $00
                    dc.b %00000000, %00011111, %00000000 ; ...........#####........ $00, $1f, $00
                    dc.b %00000000, %00011111, %00000000 ; ...........#####........ $00, $1f, $00
                    dc.b %00000000, %00011111, %00000000 ; ...........#####........ $00, $1f, $00
                    dc.b %00000000, %00011100, %00000000 ; ...........###.......... $00, $1c, $00
                    dc.b %00000000, %00011111, %00000000 ; ...........#####........ $00, $1f, $00
                    dc.b %00000000, %00111100, %11110000 ; ..........####..####.... $00, $3c, $f0
                    dc.b %00000000, %00111111, %11110000 ; ..........##########.... $00, $3f, $f0
                    dc.b %00000000, %00111100, %00000000 ; ..........####.......... $00, $3c, $00
                    dc.b %00000000, %00111100, %00000000 ; ..........####.......... $00, $3c, $00
                    dc.b %00000000, %00111100, %00000000 ; ..........####.......... $00, $3c, $00
                    dc.b %00000000, %00111100, %00000000 ; ..........####.......... $00, $3c, $00
                    dc.b %00000000, %00111100, %00000000 ; ..........####.......... $00, $3c, $00
                    dc.b %00000000, %01101100, %00000000 ; .........##.##.......... $00, $6c, $00
                    dc.b %00000000, %01101100, %00000000 ; .........##.##.......... $00, $6c, $00
                    dc.b %00000000, %11001100, %00000000 ; ........##..##.......... $00, $cc, $00
                    dc.b %00000000, %11001111, %00000000 ; ........##..####........ $00, $cf, $00
                    dc.b %00000000, %11101111, %00000000 ; ........###.####........ $00, $ef, $00
                    dc.b %00000000, %11100000, %00000000 ; ........###............. $00, $e0, $00
                    
DatMumStaLe01       dc.b $02 ; cols (in bytes) ; .hbu006.
                    dc.b $14 ; rows
                    dc.b CC_MummyLook         ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000000, %00110000 ; ..........##.... $00, $30
                    dc.b %00000000, %11111000 ; ........#####... $00, $f8
                    dc.b %00000000, %11111000 ; ........#####... $00, $f8
                    dc.b %00000000, %11111000 ; ........#####... $00, $f8
                    dc.b %00000000, %11111000 ; ........#####... $00, $f8
                    dc.b %00000000, %00111000 ; ..........###... $00, $38
                    dc.b %00001111, %11111000 ; ....#########... $0f, $f8
                    dc.b %00000000, %11111100 ; ........######.. $00, $fc
                    dc.b %00001111, %11111100 ; ....##########.. $0f, $fc
                    dc.b %00000000, %00111100 ; ..........####.. $00, $3c
                    dc.b %00000000, %00111100 ; ..........####.. $00, $3c
                    dc.b %00000000, %00111100 ; ..........####.. $00, $3c
                    dc.b %00000000, %00111100 ; ..........####.. $00, $3c
                    dc.b %00000000, %00111100 ; ..........####.. $00, $3c
                    dc.b %00000000, %00111100 ; ..........####.. $00, $3c
                    dc.b %00000000, %11111000 ; ........#####... $00, $f8
                    dc.b %00000000, %11111100 ; ........######.. $00, $fc
                    dc.b %00000000, %00001100 ; ............##.. $00, $0c
                    dc.b %00000000, %00111100 ; ..........####.. $00, $3c
                    dc.b %00000000, %00111100 ; ..........####.. $00, $3c
                    
DatMumStaLe02       dc.b $02 ; cols (in bytes) ; .hbu006.
                    dc.b $14 ; rows
                    dc.b CC_MummyLook         ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000000, %00110000 ; ..........##.... $00, $30
                    dc.b %00000000, %11111000 ; ........#####... $00, $f8
                    dc.b %00000000, %11111000 ; ........#####... $00, $f8
                    dc.b %00000000, %11111000 ; ........#####... $00, $f8
                    dc.b %00000000, %11111000 ; ........#####... $00, $f8
                    dc.b %00001110, %00111000 ; ....###...###... $0e, $38
                    dc.b %00000001, %11111000 ; .......######... $01, $f8
                    dc.b %00000000, %00111100 ; ..........####.. $00, $3c
                    dc.b %00000001, %11111100 ; .......#######.. $01, $fc
                    dc.b %00001110, %00111100 ; ....###...####.. $0e, $3c
                    dc.b %00000000, %00111100 ; ..........####.. $00, $3c
                    dc.b %00000000, %00111100 ; ..........####.. $00, $3c
                    dc.b %00000000, %00111100 ; ..........####.. $00, $3c
                    dc.b %00000000, %00111100 ; ..........####.. $00, $3c
                    dc.b %00000000, %00111100 ; ..........####.. $00, $3c
                    dc.b %00000000, %00111000 ; ..........###... $00, $38
                    dc.b %00000000, %00011100 ; ...........###.. $00, $1c
                    dc.b %00000000, %11111100 ; ........######.. $00, $fc
                    dc.b %00000000, %11111100 ; ........######.. $00, $fc
                    dc.b %00000000, %00111100 ; ..........####.. $00, $3c
                    
DatMumStaLe03       dc.b $02 ; cols (in bytes) ; .hbu006.
                    dc.b $14 ; rows
                    dc.b CC_MummyLook         ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000000, %00110000 ; ..........##.... $00, $30
                    dc.b %00000000, %11111000 ; ........#####... $00, $f8
                    dc.b %00000000, %11111000 ; ........#####... $00, $f8
                    dc.b %00000000, %11111000 ; ........#####... $00, $f8
                    dc.b %00000000, %11111000 ; ........#####... $00, $f8
                    dc.b %00000000, %00111000 ; ..........###... $00, $38
                    dc.b %00000000, %11111000 ; ........#####... $00, $f8
                    dc.b %00001111, %00111100 ; ....####..####.. $0f, $3c
                    dc.b %00001111, %11111100 ; ....##########.. $0f, $fc
                    dc.b %00000000, %00111100 ; ..........####.. $00, $3c
                    dc.b %00000000, %00111100 ; ..........####.. $00, $3c
                    dc.b %00000000, %00111100 ; ..........####.. $00, $3c
                    dc.b %00000000, %00111100 ; ..........####.. $00, $3c
                    dc.b %00000000, %00111100 ; ..........####.. $00, $3c
                    dc.b %00000000, %00111100 ; ..........####.. $00, $3c
                    dc.b %00000000, %00111000 ; ..........###... $00, $38
                    dc.b %00000000, %00111100 ; ..........####.. $00, $3c
                    dc.b %00000000, %00111100 ; ..........####.. $00, $3c
                    dc.b %00000000, %11111100 ; ........######.. $00, $fc
                    dc.b %00000000, %11110000 ; ........####.... $00, $f0
                    
DatMumStaRi01       dc.b $03 ; cols (in bytes) ; .hbu006.
                    dc.b $14 ; rows
                    dc.b CC_MummyLook         ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000000, %00001100, %00000000 ; ............##.......... $00, $0c, $00
                    dc.b %00000000, %00011111, %00000000 ; ...........#####........ $00, $1f, $00
                    dc.b %00000000, %00011111, %00000000 ; ...........#####........ $00, $1f, $00
                    dc.b %00000000, %00011111, %00000000 ; ...........#####........ $00, $1f, $00
                    dc.b %00000000, %00011111, %00000000 ; ...........#####........ $00, $1f, $00
                    dc.b %00000000, %00011100, %00000000 ; ...........###.......... $00, $1c, $00
                    dc.b %00000000, %00011111, %11110000 ; ...........#########.... $00, $1f, $f0
                    dc.b %00000000, %00111111, %00000000 ; ..........######........ $00, $3f, $00
                    dc.b %00000000, %00111111, %11110000 ; ..........##########.... $00, $3f, $f0
                    dc.b %00000000, %00111100, %00000000 ; ..........####.......... $00, $3c, $00
                    dc.b %00000000, %00111100, %00000000 ; ..........####.......... $00, $3c, $00
                    dc.b %00000000, %00111100, %00000000 ; ..........####.......... $00, $3c, $00
                    dc.b %00000000, %00111100, %00000000 ; ..........####.......... $00, $3c, $00
                    dc.b %00000000, %00111100, %00000000 ; ..........####.......... $00, $3c, $00
                    dc.b %00000000, %00111100, %00000000 ; ..........####.......... $00, $3c, $00
                    dc.b %00000000, %00011111, %00000000 ; ...........#####........ $00, $1f, $00
                    dc.b %00000000, %00111111, %00000000 ; ..........######........ $00, $3f, $00
                    dc.b %00000000, %00110000, %00000000 ; ..........##............ $00, $30, $00
                    dc.b %00000000, %00111100, %00000000 ; ..........####.......... $00, $3c, $00
                    dc.b %00000000, %00111100, %00000000 ; ..........####.......... $00, $3c, $00
                    
DatMumStaRi02       dc.b $03 ; cols (in bytes) ; .hbu006.
                    dc.b $14 ; rows
                    dc.b CC_MummyLook         ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000000, %00001100, %00000000 ; ............##.......... $00, $0c, $00
                    dc.b %00000000, %00011111, %00000000 ; ...........#####........ $00, $1f, $00
                    dc.b %00000000, %00011111, %00000000 ; ...........#####........ $00, $1f, $00
                    dc.b %00000000, %00011111, %00000000 ; ...........#####........ $00, $1f, $00
                    dc.b %00000000, %00011111, %00000000 ; ...........#####........ $00, $1f, $00
                    dc.b %00000000, %00011100, %01110000 ; ...........###...###.... $00, $1c, $70
                    dc.b %00000000, %00011111, %10000000 ; ...........######....... $00, $1f, $80
                    dc.b %00000000, %00111100, %00000000 ; ..........####.......... $00, $3c, $00
                    dc.b %00000000, %00111111, %10000000 ; ..........#######....... $00, $3f, $80
                    dc.b %00000000, %00111100, %01110000 ; ..........####...###.... $00, $3c, $70
                    dc.b %00000000, %00111100, %00000000 ; ..........####.......... $00, $3c, $00
                    dc.b %00000000, %00111100, %00000000 ; ..........####.......... $00, $3c, $00
                    dc.b %00000000, %00111100, %00000000 ; ..........####.......... $00, $3c, $00
                    dc.b %00000000, %00111100, %00000000 ; ..........####.......... $00, $3c, $00
                    dc.b %00000000, %00111100, %00000000 ; ..........####.......... $00, $3c, $00
                    dc.b %00000000, %00011100, %00000000 ; ...........###.......... $00, $1c, $00
                    dc.b %00000000, %00111000, %00000000 ; ..........###........... $00, $38, $00
                    dc.b %00000000, %00111111, %00000000 ; ..........######........ $00, $3f, $00
                    dc.b %00000000, %00111111, %00000000 ; ..........######........ $00, $3f, $00
                    dc.b %00000000, %00111100, %00000000 ; ..........####.......... $00, $3c, $00
                    
DatMumStaRi03       dc.b $03 ; cols (in bytes) ; .hbu006.
                    dc.b $14 ; rows
                    dc.b CC_MummyLook         ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000000, %00001100, %00000000 ; ............##.......... $00, $0c, $00
                    dc.b %00000000, %00011111, %00000000 ; ...........#####........ $00, $1f, $00
                    dc.b %00000000, %00011111, %00000000 ; ...........#####........ $00, $1f, $00
                    dc.b %00000000, %00011111, %00000000 ; ...........#####........ $00, $1f, $00
                    dc.b %00000000, %00011111, %00000000 ; ...........#####........ $00, $1f, $00
                    dc.b %00000000, %00011100, %00000000 ; ...........###.......... $00, $1c, $00
                    dc.b %00000000, %00011111, %00000000 ; ...........#####........ $00, $1f, $00
                    dc.b %00000000, %00111100, %11110000 ; ..........####..####.... $00, $3c, $f0
                    dc.b %00000000, %00111111, %11110000 ; ..........##########.... $00, $3f, $f0
                    dc.b %00000000, %00111100, %00000000 ; ..........####.......... $00, $3c, $00
                    dc.b %00000000, %00111100, %00000000 ; ..........####.......... $00, $3c, $00
                    dc.b %00000000, %00111100, %00000000 ; ..........####.......... $00, $3c, $00
                    dc.b %00000000, %00111100, %00000000 ; ..........####.......... $00, $3c, $00
                    dc.b %00000000, %00111100, %00000000 ; ..........####.......... $00, $3c, $00
                    dc.b %00000000, %00111100, %00000000 ; ..........####.......... $00, $3c, $00
                    dc.b %00000000, %00011100, %00000000 ; ...........###.......... $00, $1c, $00
                    dc.b %00000000, %00111100, %00000000 ; ..........####.......... $00, $3c, $00
                    dc.b %00000000, %00111100, %00000000 ; ..........####.......... $00, $3c, $00
                    dc.b %00000000, %00111111, %00000000 ; ..........######........ $00, $3f, $00
                    dc.b %00000000, %00001111, %00000000 ; ............####........ $00, $0f, $00
                    
DatFraMovRi01       dc.b $02 ; cols (in bytes)
                    dc.b $14 ; rows
                    dc.b CC_FrankLook         ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000001, %01010000 ; .......#.#.#.... $01, $50
                    dc.b %00000011, %11110000 ; ......######.... $03, $f0
                    dc.b %00000011, %11010000 ; ......####.#.... $03, $d0
                    dc.b %00000011, %11110000 ; ......######.... $03, $f0
                    dc.b %00000011, %11110000 ; ......######.... $03, $f0
                    dc.b %00000000, %11000000 ; ........##...... $00, $c0
                    dc.b %00000010, %10100000 ; ......#.#.#..... $02, $a0
                    dc.b %00001010, %10001000 ; ....#.#.#...#... $0a, $88
                    dc.b %00100010, %10001000 ; ..#...#.#...#... $22, $88
                    dc.b %00100010, %10001100 ; ..#...#.#...##.. $22, $8c
                    dc.b %00110010, %10000000 ; ..##..#.#....... $32, $80
                    dc.b %00000001, %01000000 ; .......#.#...... $01, $40
                    dc.b %00000010, %10000000 ; ......#.#....... $02, $80
                    dc.b %00000010, %10000000 ; ......#.#....... $02, $80
                    dc.b %00000010, %10100000 ; ......#.#.#..... $02, $a0
                    dc.b %00000010, %00100000 ; ......#...#..... $02, $20
                    dc.b %00001000, %00100000 ; ....#.....#..... $08, $20
                    dc.b %00001111, %00100000 ; ....####..#..... $0f, $20
                    dc.b %00001111, %00111100 ; ....####..####.. $0f, $3c
                    dc.b %00000000, %00111100 ; ..........####.. $00, $3c
                    
DatFraMovRi02       dc.b $02 ; cols (in bytes)
                    dc.b $14 ; rows
                    dc.b CC_FrankLook         ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000001, %01010000 ; .......#.#.#.... $01, $50
                    dc.b %00000011, %11110000 ; ......######.... $03, $f0
                    dc.b %00000011, %11010000 ; ......####.#.... $03, $d0
                    dc.b %00000011, %11110000 ; ......######.... $03, $f0
                    dc.b %00000011, %11110000 ; ......######.... $03, $f0
                    dc.b %00000000, %11000000 ; ........##...... $00, $c0
                    dc.b %00000010, %10100000 ; ......#.#.#..... $02, $a0
                    dc.b %00001010, %10001000 ; ....#.#.#...#... $0a, $88
                    dc.b %00100010, %10001000 ; ..#...#.#...#... $22, $88
                    dc.b %00100010, %10001100 ; ..#...#.#...##.. $22, $8c
                    dc.b %00110010, %10000000 ; ..##..#.#....... $32, $80
                    dc.b %00000001, %01000000 ; .......#.#...... $01, $40
                    dc.b %00000010, %10000000 ; ......#.#....... $02, $80
                    dc.b %00000010, %00100000 ; ......#...#..... $02, $20
                    dc.b %00000010, %00100000 ; ......#...#..... $02, $20
                    dc.b %00000010, %00000000 ; ......#......... $02, $00
                    dc.b %00000010, %00000000 ; ......#......... $02, $00
                    dc.b %00000010, %00000000 ; ......#......... $02, $00
                    dc.b %00000011, %11000000 ; ......####...... $03, $c0
                    dc.b %00000011, %11000000 ; ......####...... $03, $c0
                    
DatFraMovRi03       dc.b $02 ; cols (in bytes)
                    dc.b $14 ; rows
                    dc.b CC_FrankLook         ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000001, %01010000 ; .......#.#.#.... $01, $50
                    dc.b %00000011, %11110000 ; ......######.... $03, $f0
                    dc.b %00000011, %11010000 ; ......####.#.... $03, $d0
                    dc.b %00000011, %11110000 ; ......######.... $03, $f0
                    dc.b %00000011, %11110000 ; ......######.... $03, $f0
                    dc.b %00000000, %11000000 ; ........##...... $00, $c0
                    dc.b %00000010, %10100000 ; ......#.#.#..... $02, $a0
                    dc.b %00001010, %10001000 ; ....#.#.#...#... $0a, $88
                    dc.b %00100010, %10001000 ; ..#...#.#...#... $22, $88
                    dc.b %00100010, %10001100 ; ..#...#.#...##.. $22, $8c
                    dc.b %00110010, %10000000 ; ..##..#.#....... $32, $80
                    dc.b %00000001, %01000000 ; .......#.#...... $01, $40
                    dc.b %00000010, %10000000 ; ......#.#....... $02, $80
                    dc.b %00000010, %10100000 ; ......#.#.#..... $02, $a0
                    dc.b %00000010, %00100000 ; ......#...#..... $02, $20
                    dc.b %00001000, %00100000 ; ....#.....#..... $08, $20
                    dc.b %00001000, %00111100 ; ....#.....####.. $08, $3c
                    dc.b %00001000, %00111100 ; ....#.....####.. $08, $3c
                    dc.b %00001111, %00000000 ; ....####........ $0f, $00
                    dc.b %00001111, %00000000 ; ....####........ $0f, $00
                    
DatFraMovLe01       dc.b $02 ; cols (in bytes)
                    dc.b $14 ; rows
                    dc.b CC_FrankLook         ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000101, %01000000 ; .....#.#.#...... $05, $40
                    dc.b %00001111, %11000000 ; ....######...... $0f, $c0
                    dc.b %00000111, %11000000 ; .....#####...... $07, $c0
                    dc.b %00001111, %11000000 ; ....######...... $0f, $c0
                    dc.b %00001111, %11000000 ; ....######...... $0f, $c0
                    dc.b %00000011, %00000000 ; ......##........ $03, $00
                    dc.b %00001010, %10000000 ; ....#.#.#....... $0a, $80
                    dc.b %00100010, %10100000 ; ..#...#.#.#..... $22, $a0
                    dc.b %00100010, %10001000 ; ..#...#.#...#... $22, $88
                    dc.b %00110010, %10001000 ; ..##..#.#...#... $32, $88
                    dc.b %00000010, %10001100 ; ......#.#...##.. $02, $8c
                    dc.b %00000001, %01000000 ; .......#.#...... $01, $40
                    dc.b %00000010, %10000000 ; ......#.#....... $02, $80
                    dc.b %00000010, %10000000 ; ......#.#....... $02, $80
                    dc.b %00001010, %10000000 ; ....#.#.#....... $0a, $80
                    dc.b %00001000, %10000000 ; ....#...#....... $08, $80
                    dc.b %00001000, %00100000 ; ....#.....#..... $08, $20
                    dc.b %00001000, %11110000 ; ....#...####.... $08, $f0
                    dc.b %00111100, %11110000 ; ..####..####.... $3c, $f0
                    dc.b %00111100, %00000000 ; ..####.......... $3c, $00
                    
DatFraMovLe02       dc.b $02 ; cols (in bytes)
                    dc.b $14 ; rows
                    dc.b CC_FrankLook         ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000101, %01000000 ; .....#.#.#...... $05, $40
                    dc.b %00001111, %11000000 ; ....######...... $0f, $c0
                    dc.b %00000111, %11000000 ; .....#####...... $07, $c0
                    dc.b %00001111, %11000000 ; ....######...... $0f, $c0
                    dc.b %00001111, %11000000 ; ....######...... $0f, $c0
                    dc.b %00000011, %00000000 ; ......##........ $03, $00
                    dc.b %00001010, %10000000 ; ....#.#.#....... $0a, $80
                    dc.b %00100010, %10100000 ; ..#...#.#.#..... $22, $a0
                    dc.b %00100010, %10001000 ; ..#...#.#...#... $22, $88
                    dc.b %00110010, %10001000 ; ..##..#.#...#... $32, $88
                    dc.b %00000010, %10001100 ; ......#.#...##.. $02, $8c
                    dc.b %00000001, %01000000 ; .......#.#...... $01, $40
                    dc.b %00000010, %10000000 ; ......#.#....... $02, $80
                    dc.b %00001000, %10000000 ; ....#...#....... $08, $80
                    dc.b %00001000, %10000000 ; ....#...#....... $08, $80
                    dc.b %00000000, %10000000 ; ........#....... $00, $80
                    dc.b %00000000, %10000000 ; ........#....... $00, $80
                    dc.b %00000000, %10000000 ; ........#....... $00, $80
                    dc.b %00000011, %11000000 ; ......####...... $03, $c0
                    dc.b %00000011, %11000000 ; ......####...... $03, $c0
                    
DatFraMovLe03       dc.b $02 ; cols (in bytes)
                    dc.b $14 ; rows
                    dc.b CC_FrankLook         ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000101, %01000000 ; .....#.#.#...... $05, $40
                    dc.b %00001111, %11000000 ; ....######...... $0f, $c0
                    dc.b %00000111, %11000000 ; .....#####...... $07, $c0
                    dc.b %00001111, %11000000 ; ....######...... $0f, $c0
                    dc.b %00001111, %11000000 ; ....######...... $0f, $c0
                    dc.b %00000011, %00000000 ; ......##........ $03, $00
                    dc.b %00001010, %10000000 ; ....#.#.#....... $0a, $80
                    dc.b %00100010, %10100000 ; ..#...#.#.#..... $22, $a0
                    dc.b %00100010, %10001000 ; ..#...#.#...#... $22, $88
                    dc.b %00110010, %10001000 ; ..##..#.#...#... $32, $88
                    dc.b %00000001, %10001100 ; ......#.#...##.. $02, $8c
                    dc.b %00000010, %01000000 ; .......#.#...... $01, $40
                    dc.b %00000010, %10000000 ; ......#.#....... $02, $80
                    dc.b %00001010, %10000000 ; ....#.#.#....... $0a, $80
                    dc.b %00001000, %10000000 ; ....#...#....... $08, $80
                    dc.b %00001000, %00100000 ; ....#.....#..... $08, $20
                    dc.b %00111100, %00100000 ; ..####....#..... $3c, $20
                    dc.b %00111100, %00100000 ; ..####....#..... $3c, $20
                    dc.b %00000000, %11110000 ; ........####.... $00, $f0
                    dc.b %00000000, %11110000 ; ........####.... $00, $f0
                    
DatFraMovPole       dc.b $02 ; cols (in bytes)
                    dc.b $14 ; rows
                    dc.b CC_FrankLook         ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000011, %00000000 ; ......##........ $03, $00
                    dc.b %00001000, %10000000 ; ....#...#....... $08, $80
                    dc.b %00100101, %01100000 ; ..#..#.#.##..... $25, $60
                    dc.b %00101111, %11100000 ; ..#.#######..... $2f, $e0
                    dc.b %00101111, %11100000 ; ..#.#######..... $2f, $e0
                    dc.b %00101111, %11100000 ; ..#.#######..... $2f, $e0
                    dc.b %00100011, %00100000 ; ..#...##..#..... $23, $20
                    dc.b %00101010, %10100000 ; ..#.#.#.#.#..... $2a, $a0
                    dc.b %00001010, %10000000 ; ....#.#.#....... $0a, $80
                    dc.b %00001010, %10000000 ; ....#.#.#....... $0a, $80
                    dc.b %00001010, %10000000 ; ....#.#.#....... $0a, $80
                    dc.b %00001010, %10000000 ; ....#.#.#....... $0a, $80
                    dc.b %00001010, %10000000 ; ....#.#.#....... $0a, $80
                    dc.b %00000101, %01000000 ; .....#.#.#...... $05, $40
                    dc.b %00001010, %10000000 ; ....#.#.#....... $0a, $80
                    dc.b %00101000, %10100000 ; ..#.#...#.#..... $28, $a0
                    dc.b %00100000, %00100000 ; ..#.......#..... $20, $20
                    dc.b %00001000, %10000000 ; ....#...#....... $08, $80
                    dc.b %00001111, %11000000 ; ....######...... $0f, $c0
                    dc.b %00001100, %11000000 ; ....##..##...... $0c, $c0
                    
DatFraMovLa01       dc.b $02 ; cols (in bytes)
                    dc.b $14 ; rows
                    dc.b CC_FrankLook         ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000000, %00001100 ; ............##.. $00, $0c
                    dc.b %00000000, %00001000 ; ............#... $00, $08
                    dc.b %00000101, %01011000 ; .....#.#.#.##... $05, $58
                    dc.b %00001111, %11111000 ; ....#########... $0f, $f8
                    dc.b %00110111, %11011000 ; ..##.#####.##... $37, $d8
                    dc.b %00101111, %11110000 ; ..#.########.... $2f, $f0
                    dc.b %00100011, %11000000 ; ..#...####...... $23, $c0
                    dc.b %00100010, %10000000 ; ..#...#.#....... $22, $80
                    dc.b %00101010, %10100000 ; ..#.#.#.#.#..... $2a, $a0
                    dc.b %00001010, %10100000 ; ....#.#.#.#..... $0a, $a0
                    dc.b %00001010, %10100000 ; ....#.#.#.#..... $0a, $a0
                    dc.b %00001010, %10100000 ; ....#.#.#.#..... $0a, $a0
                    dc.b %00000101, %01010000 ; .....#.#.#.#.... $05, $50
                    dc.b %00000010, %10000000 ; ......#.#....... $02, $80
                    dc.b %00000010, %00100000 ; ......#...#..... $02, $20
                    dc.b %00000010, %00001000 ; ......#.....#... $02, $08
                    dc.b %00000010, %00111100 ; ......#...####.. $02, $3c
                    dc.b %00000010, %00111100 ; ......#...####.. $02, $3c
                    dc.b %00000011, %11000000 ; ......####...... $03, $c0
                    dc.b %00000011, %11000000 ; ......####...... $03, $c0
                    
DatFraMovLa02       dc.b $02 ; cols (in bytes)
                    dc.b $13 ; rows
                    dc.b CC_FrankLook         ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000000, %00000000 ; ................ $00, $00
                    dc.b %00000000, %00000000 ; ................ $00, $00
                    dc.b %00000101, %01011100 ; .....#.#.#.###.. $05, $5c
                    dc.b %00001111, %11111000 ; ....#########... $0f, $f8
                    dc.b %00000111, %11011000 ; .....#####.##... $07, $d8
                    dc.b %00001111, %11111000 ; ....#########... $0f, $f8
                    dc.b %00110011, %11001000 ; ..##..####..#... $33, $c8
                    dc.b %00100010, %10000000 ; ..#...#.#....... $22, $80
                    dc.b %00101010, %10100000 ; ..#.#.#.#.#..... $2a, $a0
                    dc.b %00001010, %10100000 ; ....#.#.#.#..... $0a, $a0
                    dc.b %00001010, %10100000 ; ....#.#.#.#..... $0a, $a0
                    dc.b %00001010, %10100000 ; ....#.#.#.#..... $0a, $a0
                    dc.b %00000101, %01010000 ; .....#.#.#.#.... $05, $50
                    dc.b %00000010, %10000000 ; ......#.#....... $02, $80
                    dc.b %00000010, %10000000 ; ......#.#....... $02, $80
                    dc.b %00000010, %10000000 ; ......#.#....... $02, $80
                    dc.b %00000010, %10000000 ; ......#.#....... $02, $80
                    dc.b %00000011, %11000000 ; ......####...... $03, $c0
                    dc.b %00000011, %11000000 ; ......####...... $03, $c0
                    
                    
DatFraMovLa03       dc.b $02 ; cols (in bytes)
                    dc.b $14 ; rows
                    dc.b CC_FrankLook         ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00110000, %00000000 ; ..##............ $30, $00
                    dc.b %00100000, %00000000 ; ..#............. $20, $00
                    dc.b %00100101, %01010000 ; ..#..#.#.#.#.... $25, $50
                    dc.b %00101111, %11110000 ; ..#.########.... $2f, $f0
                    dc.b %00100111, %11011100 ; ..#..#####.###.. $27, $dc
                    dc.b %00001111, %11111000 ; ....#########... $0f, $f8
                    dc.b %00000011, %11001000 ; ......####..#... $03, $c8
                    dc.b %00000010, %10001000 ; ......#.#...#... $02, $88
                    dc.b %00001010, %10101000 ; ....#.#.#.#.#... $0a, $a8
                    dc.b %00001010, %10100000 ; ....#.#.#.#..... $0a, $a0
                    dc.b %00001010, %10100000 ; ....#.#.#.#..... $0a, $a0
                    dc.b %00001010, %10100000 ; ....#.#.#.#..... $0a, $a0
                    dc.b %00000101, %01010000 ; .....#.#.#.#.... $05, $50
                    dc.b %00000010, %10000000 ; ......#.#....... $02, $80
                    dc.b %00001000, %10000000 ; ....#...#....... $08, $80
                    dc.b %00100000, %10000000 ; ..#.....#....... $20, $80
                    dc.b %00111100, %10000000 ; ..####..#....... $3c, $80
                    dc.b %00111100, %10000000 ; ..####..#....... $3c, $80
                    dc.b %00000011, %11000000 ; ......####...... $03, $c0
                    dc.b %00000011, %11000000 ; ......####...... $03, $c0
                    
DatFraMovLa04       dc.b $02 ; cols (in bytes)
                    dc.b $13 ; rows
                    dc.b CC_FrankLook         ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000000, %00000000 ; ................ $00, $00
                    dc.b %00000000, %00000000 ; ................ $00, $00
                    dc.b %00110101, %01010000 ; ..##.#.#.#.#.... $35, $50
                    dc.b %00101111, %11110000 ; ..#.########.... $2f, $f0
                    dc.b %00100111, %11010000 ; ..#..#####.#.... $27, $d0
                    dc.b %00101111, %11110000 ; ..#.########.... $2f, $f0
                    dc.b %00100011, %11001100 ; ..#...####..##.. $23, $cc
                    dc.b %00000010, %10001000 ; ......#.#...#... $02, $88
                    dc.b %00001010, %10101000 ; ....#.#.#.#.#... $0a, $a8
                    dc.b %00001010, %10100000 ; ....#.#.#.#..... $0a, $a0
                    dc.b %00001010, %10100000 ; ....#.#.#.#..... $0a, $a0
                    dc.b %00001010, %10100000 ; ....#.#.#.#..... $0a, $a0
                    dc.b %00000101, %01010000 ; .....#.#.#.#.... $05, $50
                    dc.b %00000010, %10000000 ; ......#.#....... $02, $80
                    dc.b %00000010, %10000000 ; ......#.#....... $02, $80
                    dc.b %00000010, %10000000 ; ......#.#....... $02, $80
                    dc.b %00000010, %10000000 ; ......#.#....... $02, $80
                    dc.b %00000011, %11000000 ; ......####...... $03, $c0
                    dc.b %00000011, %11000000 ; ......####...... $03, $c0
                    
DatFraStaCoff       dc.b $02 ; cols (in bytes)
                    dc.b $14 ; rows
                    dc.b CC_FrankLook         ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000001, %01010000 ; .......#.#.#.... $01, $50
                    dc.b %00000011, %11110000 ; ......######.... $03, $F0
                    dc.b %00000011, %11110000 ; ......######.... $03, $F0
                    dc.b %00000011, %11110000 ; ......######.... $03, $F0
                    dc.b %00000011, %11110000 ; ......######.... $03, $F0
                    dc.b %00000000, %11000000 ; ........##...... $00, $C0
                    dc.b %00000010, %10100000 ; ......#.#.#..... $02, $A0
                    dc.b %00001010, %10100000 ; ....#.#.#.#..... $0A, $A0
                    dc.b %00001010, %10100000 ; ....#.#.#.#..... $0A, $A0
                    dc.b %00001010, %10100000 ; ....#.#.#.#..... $0A, $A0
                    dc.b %00001010, %10110000 ; ....#.#.#.##.... $0A, $B0
                    dc.b %00001101, %01000000 ; ....##.#.#...... $0D, $40
                    dc.b %00000010, %10000000 ; ......#.#....... $02, $80
                    dc.b %00000010, %10000000 ; ......#.#....... $02, $80
                    dc.b %00000010, %10000000 ; ......#.#....... $02, $80
                    dc.b %00000010, %10000000 ; ......#.#....... $02, $80
                    dc.b %00000010, %11110000 ; ......#.####.... $02, $F0
                    dc.b %00000010, %11110000 ; ......#.####.... $02, $F0
                    dc.b %00000011, %11000000 ; ......####...... $03, $C0
                    dc.b %00000011, %11000000 ; ......####...... $03, $C0
                    dc.b %00000000, %00000000 ; ................ $00, $00
                    
DatRayMov01         dc.b $02 ; cols (in bytes)
                    dc.b $01 ; rows
                    dc.b CC_BeamLook          ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %10101010, %10101010 ; #.#.#.#.#.#.#.#. $aa, $aa
                    
                    
DatForMov01         dc.b $01 ; cols (in bytes)
                    dc.b $0e ; rows
                    dc.b CC_ForceFieldLook1   ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000000            ; ........ $00
                    dc.b %00000011            ; ......## $03
                    dc.b %00001100            ; ....##.. $0c
                    dc.b %00110011            ; ..##..## $33
                    dc.b %00001100            ; ....##.. $0c
                    dc.b %00110011            ; ..##..## $33
                    dc.b %00001100            ; ....##.. $0c
                    dc.b %00110011            ; ..##..## $33
                    dc.b %00001100            ; ....##.. $0c
                    dc.b %00110011            ; ..##..## $33
                    dc.b %00001100            ; ....##.. $0c
                    dc.b %00110011            ; ..##..## $33
                    dc.b %00001100            ; ....##.. $0c
                    dc.b %00110000            ; ..##.... $30
                    
DatForMov02         dc.b $01 ; cols (in bytes)
                    dc.b $0e ; rows
                    dc.b CC_ForceFieldLook1   ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000000            ; ........ $00
                    dc.b %00000010            ; ......#. $02
                    dc.b %00000101            ; .....#.# $05
                    dc.b %00101010            ; ..#.#.#. $2a
                    dc.b %00010101            ; ...#.#.# $15
                    dc.b %00101010            ; ..#.#.#. $2a
                    dc.b %00010101            ; ...#.#.# $15
                    dc.b %00101010            ; ..#.#.#. $2a
                    dc.b %00010101            ; ...#.#.# $15
                    dc.b %00101010            ; ..#.#.#. $2a
                    dc.b %00010101            ; ...#.#.# $15
                    dc.b %00101010            ; ..#.#.#. $2a
                    dc.b %00010000            ; ...#.... $10
                    dc.b %00100000            ; ..#..... $20
                    
DatForMov03         dc.b $01 ; cols (in bytes)
                    dc.b $01 ; rows
                    dc.b CC_ForceFieldLook0   ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000000            ; ........ $00
                    
DatSpaMov01         dc.b $03 ; cols (in bytes)
                    dc.b $0f ; rows
                    dc.b CC_SparkLook         ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000000, %00000000, %00000000 ; ........................ $00, $00, $00
                    dc.b %00000000, %00001100, %00000000 ; ............##.......... $00, $0C, $00
                    dc.b %00000100, %00000010, %00000000 ; .....#........#......... $04, $02, $00
                    dc.b %00001000, %00000001, %00000000 ; ....#..........#........ $08, $01, $00
                    dc.b %00010000, %00000001, %00000000 ; ...#...........#........ $10, $01, $00
                    dc.b %00100000, %00000000, %10000000 ; ..#.............#....... $20, $00, $80
                    dc.b %00110000, %00000000, %10000000 ; ..##............#....... $30, $00, $80
                    dc.b %01001000, %00000001, %00000000 ; .#..#..........#........ $48, $01, $00
                    dc.b %01000100, %00000010, %00000000 ; .#...#........#......... $44, $02, $00
                    dc.b %00100010, %00000001, %00000000 ; ..#...#........#........ $22, $01, $00
                    dc.b %00100001, %00000000, %10000000 ; ..#....#........#....... $21, $00, $80
                    dc.b %00100010, %00000000, %10000000 ; ..#...#.........#....... $22, $00, $80
                    dc.b %00000010, %00000000, %10000000 ; ......#.........#....... $02, $00, $80
                    dc.b %00000001, %00000000, %10000000 ; .......#........#....... $01, $00, $80
                    dc.b %00000000, %00000000, %00000000 ; ........................ $00, $00, $00
                    
DatSpaMov02         dc.b $03 ; cols (in bytes)
                    dc.b $0f ; rows
                    dc.b CC_SparkLook         ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000000, %00000000, %00000000 ; ........................ $00, $00, $00
                    dc.b %00000000, %01000000, %00000000 ; .........#.............. $00, $40, $00
                    dc.b %00000000, %01000000, %00100000 ; .........#........#..... $00, $40, $20
                    dc.b %00000000, %01000000, %10100000 ; .........#......#.#..... $00, $40, $A0
                    dc.b %00000000, %10000101, %01000000 ; ........#....#.#.#...... $00, $85, $40
                    dc.b %00000000, %10001010, %00000000 ; ........#...#.#......... $00, $8A, $00
                    dc.b %00000000, %01010010, %00000000 ; .........#.#..#......... $00, $52, $00
                    dc.b %00000000, %00110001, %01000000 ; ..........##...#.#...... $00, $31, $40
                    dc.b %00000000, %01001000, %10100000 ; .........#..#...#.#..... $00, $48, $A0
                    dc.b %00000000, %10001000, %00010000 ; ........#...#......#.... $00, $88, $10
                    dc.b %00000001, %00001000, %00010000 ; .......#....#......#.... $01, $08, $10
                    dc.b %00000001, %00001000, %00010000 ; .......#....#......#.... $01, $08, $10
                    dc.b %00000001, %00000000, %00100000 ; .......#..........#..... $01, $00, $20
                    dc.b %00000000, %10000000, %00100000 ; ........#.........#..... $00, $80, $20
                    dc.b %00000000, %10000000, %00010000 ; ........#..........#.... $00, $80, $10
                    dc.b %00000000, %00000000, %00000000 ; ........................ $00, $00, $00
                    
DatSpaMov03         dc.b $03 ; cols (in bytes)
                    dc.b $0f ; rows
                    dc.b CC_SparkLook         ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000000, %11000000, %00000000 ; ........##.............. $00, $C0, $00
                    dc.b %00000001, %00110000, %00001000 ; .......#..##........#... $01, $30, $08
                    dc.b %00000010, %00000000, %00000100 ; ......#..............#.. $02, $00, $04
                    dc.b %00000100, %00000000, %00000010 ; .....#................#. $04, $00, $02
                    dc.b %00000100, %00000000, %00000001 ; .....#.................# $04, $00, $01
                    dc.b %00000011, %10000000, %00000010 ; ......###.............#. $03, $80, $02
                    dc.b %00000000, %01000000, %00000100 ; .........#...........#.. $00, $40, $04
                    dc.b %00000000, %00100000, %00001000 ; ..........#.........#... $00, $20, $08
                    dc.b %00000000, %00010000, %00001000 ; ...........#........#... $00, $10, $08
                    dc.b %00000000, %00101000, %00010100 ; ..........#.#......#.#.. $00, $28, $14
                    dc.b %00000000, %01001000, %00010010 ; .........#..#......#..#. $00, $48, $12
                    dc.b %00000000, %01001000, %00010010 ; .........#..#......#..#. $00, $48, $12
                    dc.b %00000000, %00100000, %00000001 ; ..........#............# $00, $20, $01
                    dc.b %00000000, %00000000, %00000001 ; .......................# $00, $00, $01
                    dc.b %00000000, %00000000, %00000000 ; ........................ $00, $00, $00
                    
                    
DatSpaMov04         dc.b $02 ; cols (in bytes)
                    dc.b $0f ; rows
                    dc.b CC_SparkLook         ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000010, %00000000            ; ......#................. $02, $00, $00
                    dc.b %00000010, %00000000            ; ......#................. $02, $00, $00
                    dc.b %00000010, %00110000            ; ......#...##............ $02, $30, $00
                    dc.b %00000001, %01001000            ; .......#.#..#........... $01, $48, $00
                    dc.b %00000000, %10000100            ; ........#....#.......... $00, $84, $00
                    dc.b %00000000, %00000100            ; .............#.......... $00, $04, $00
                    dc.b %00000000, %00001000            ; ............#........... $00, $08, $00
                    dc.b %00000000, %00010000            ; ...........#............ $00, $10, $00
                    dc.b %00000000, %00010000            ; ...........#............ $00, $10, $00
                    dc.b %00000000, %00001110            ; ............###......... $00, $0E, $00
                    dc.b %00000000, %00000001            ; ...............#........ $00, $01, $00
                    dc.b %00000000, %00000001            ; ...............#........ $00, $01, $00
                    dc.b %00000000, %00000001            ; ...............#........ $00, $01, $00
                    dc.b %00000000, %00000001            ; ...............#........ $00, $01, $00
                    dc.b %00000000, %00000000            ; ........................ $00, $00, $00
                    
DatArrUp            dc.b $02 ; cols (in bytes)
                    dc.b $0a ; rows
                    dc.b CC_ArrowLook         ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00001000, %00000000 ; ....#........... $08, $00
                    dc.b %00011100, %00000000 ; ...###.......... $1c, $00
                    dc.b %00111110, %00000000 ; ..#####......... $3e, $00
                    dc.b %01111111, %00000000 ; .#######........ $7f, $00
                    dc.b %11111111, %10000000 ; #########....... $ff, $80
                    dc.b %00011100, %00000000 ; ...###.......... $1c, $00
                    dc.b %00011100, %00000000 ; ...###.......... $1c, $00
                    dc.b %00011100, %00000000 ; ...###.......... $1c, $00
                    dc.b %00011100, %00000000 ; ...###.......... $1c, $00
                    dc.b %00011100, %00000000 ; ...###.......... $1c, $00
                    
DatArrRi            dc.b $02 ; cols (in bytes)
                    dc.b $09 ; rows
                    dc.b CC_ArrowLook         ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00000100, %00000000 ; .....#.......... $04, $00
                    dc.b %00000110, %00000000 ; .....##......... $06, $00
                    dc.b %00000111, %00000000 ; .....###........ $07, $00
                    dc.b %11111111, %10000000 ; #########....... $ff, $80
                    dc.b %11111111, %11000000 ; ##########...... $ff, $c0
                    dc.b %11111111, %10000000 ; #########....... $ff, $80
                    dc.b %00000111, %00000000 ; .....###........ $07, $00
                    dc.b %00000110, %00000000 ; .....##......... $06, $00
                    dc.b %00000100, %00000000 ; .....#.......... $04, $00
                    
DatArrDo            dc.b $02 ; cols (in bytes)
                    dc.b $0a ; rows
                    dc.b CC_ArrowLook         ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00011100, %00000000 ; ...###.......... $1c, $00
                    dc.b %00011100, %00000000 ; ...###.......... $1c, $00
                    dc.b %00011100, %00000000 ; ...###.......... $1c, $00
                    dc.b %00011100, %00000000 ; ...###.......... $1c, $00
                    dc.b %00011100, %00000000 ; ...###.......... $1c, $00
                    dc.b %11111111, %10000000 ; #########....... $ff, $80
                    dc.b %01111111, %00000000 ; .#######........ $7f, $00
                    dc.b %00111110, %00000000 ; ..#####......... $3e, $00
                    dc.b %00011100, %00000000 ; ...###.......... $1c, $00
                    dc.b %00001000, %00000000 ; ....#........... $08, $00
                    
DatArrLe            dc.b $02 ; cols (in bytes)
                    dc.b $09 ; rows
                    dc.b CC_ArrowLook         ; Bit7: X-expand Bit6: Y-expand Bit5: Spr/BG-Prio Bit4: MultiColor Bits3-0: Color 0
                    
                    dc.b %00001000, %00000000 ; ....#........... $08, $00
                    dc.b %00011000, %00000000 ; ...##........... $18, $00
                    dc.b %00111000, %00000000 ; ..###........... $38, $00
                    dc.b %01111111, %11000000 ; .#########...... $7f, $c0
                    dc.b %11111111, %11000000 ; ##########...... $ff, $c0
                    dc.b %01111111, %11000000 ; .#########...... $7f, $c0
                    dc.b %00111000, %00000000 ; ..###........... $38, $00
                    dc.b %00011000, %00000000 ; ...##........... $18, $00
                    dc.b %00001000, %00000000 ; ....#........... $08, $00
; ------------------------------------------------------------------------------------------------------------- ;
TabSpriteDataPtr    = *

SprPlrMovRi01       dc.w DatPlrMovLe01   ; Player: Move Right Phase 01
SprPlrMovRi02       dc.w DatPlrMovLe02   ; Player: Move Right Phase 02
SprPlrMovRi03       dc.w DatPlrMovLe03   ; Player: Move Right Phase 03
                    
SprPlrMovLe01       dc.w DatPlrMovRi01   ; Player: Move Left  Phase 01
SprPlrMovLe02       dc.w DatPlrMovRi02   ; Player: Move Left  Phase 02
SprPlrMovLe03       dc.w DatPlrMovRi03   ; Player: Move Left  Phase 03
                    
SprPlrMovPole       dc.w DatPlrMovPole   ; Player: Pole Down
                    
SprPlrMovLa01       dc.w DatPlrMovLa01   ; Player: Ladder u/d Phase 01
SprPlrMovLa02       dc.w DatPlrMovLa02   ; Player: Ladder u/d Phase 02
SprPlrMovLa03       dc.w DatPlrMovLa03   ; Player: Ladder u/d Phase 03
SprPlrMovLa04       dc.w DatPlrMovLa04   ; Player: Ladder u/d Phase 04
                    
SprPlrWavGB01       dc.w DatPlrWavGB01   ; Player: Wave Good Bye Phase 01
SprPlrWavGB02       dc.w DatPlrWavGB02   ; Player: Wave Good Bye Phase 02
SprPlrWavGB03       dc.w DatPlrWavGB01   ; Player: Wave Good Bye Phase 01
SprPlrWavGB04       dc.w DatPlrWavGB04   ; Player: Wave Good Bye Phase 03
                    
SprPlrArrRoLe       dc.w DatPlrArrRoLe   ; Player: Room Arrived Left  Side
SprPlrArrRoRi       dc.w DatPlrArrRoRi   ; Player: Room Arrived Right Side
SprPlrArrRo01       dc.w DatPlrArrRo01   ; Player: Room i/o Phase 01
SprPlrArrRo02       dc.w DatPlrArrRo02   ; Player: Room i/o Phase 02
SprPlrArrRo03       dc.w DatPlrArrRo03   ; Player: Room i/o Phase 03
SprPlrArrRo04       dc.w DatPlrArrRo04   ; Player: Room i/o Phase 04
SprPlrArrRo05       dc.w DatPlrArrRo05   ; Player: Room i/o Phase 05
                    
SprMumMovLe01       dc.w DatMumMovLe01   ; Mummy: Move Left   Pase 01
SprMumMovLe02       dc.w DatMumMovLe02   ; Mummy: Move Left   Pase 02
SprMumMovLe03       dc.w DatMumMovLe03   ; Mummy: Move Left   Pase 03
                    
SprMumMovRi01       dc.w DatMumMovRi01   ; Mummy: Move Right  Pase 01
SprMumMovRi02       dc.w DatMumMovRi02   ; Mummy: Move Right  Pase 02
SprMumMovRi03       dc.w DatMumMovRi03   ; Mummy: Move Right  Pase 03
                    
SprMumStaRi01       dc.w DatMumStaRi01   ; Mummy: Stay Right  Pase 01 - .hbu006.
SprMumStaRi02       dc.w DatMumStaRi02   ; Mummy: Stay Right  Pase 02 - .hbu006.
SprMumStaRi03       dc.w DatMumStaRi03   ; Mummy: Stay Right  Pase 03 - .hbu006.
                    
SprMumStaLe01       dc.w DatMumStaLe01   ; Mummy: Stay Left   Pase 01 - .hbu006.
SprMumStaLe02       dc.w DatMumStaLe02   ; Mummy: Stay Left   Pase 02 - .hbu006.
SprMumStaLe03       dc.w DatMumStaLe03   ; Mummy: Stay Left   Pase 03 - .hbu006.
                    
SprMumMovOu01       dc.w DatMumMovOu01   ; Mummy: Out Of Wall Pase 01
SprMumMovOu02       dc.w DatMumMovOu02   ; Mummy: Out Of Wall Pase 02
SprMumMovOu03       dc.w DatMumMovOu03   ; Mummy: Out Of Wall Pase 03
SprMumMovOu04       dc.w DatMumMovOu04   ; Mummy: Out Of Wall Pase 04
SprMumMovOu05       dc.w DatMumMovOu05   ; Mummy: Out Of Wall Pase 05
SprMumMovOu06       dc.w DatMumMovOu06   ; Mummy: Out Of Wall Pase 06
                    
SprFraMovRi01       dc.w DatFraMovRi01   ; Frankenstein: Move Right Pase 01 - keep that ri-le-pole-la-coff order - see KillFrankSprite
SprFraMovRi02       dc.w DatFraMovRi02   ; Frankenstein: Move Right Pase 02
SprFraMovRi03       dc.w DatFraMovRi03   ; Frankenstein: Move Right Pase 03
                    
SprFraMovLe01       dc.w DatFraMovLe01   ; Frankenstein: Move Left  Pase 01
SprFraMovLe02       dc.w DatFraMovLe02   ; Frankenstein: Move Left  Pase 02
SprFraMovLe03       dc.w DatFraMovLe03   ; Frankenstein: Move Left  Pase 03
                    
SprFraMovPole       dc.w DatFraMovPole   ; Frankenstein: Pole Down

SprFraMovLa01       dc.w DatFraMovLa01   ; Frankenstein: Ladder u/d Phase 01
SprFraMovLa02       dc.w DatFraMovLa02   ; Frankenstein: Ladder u/d Phase 02
SprFraMovLa03       dc.w DatFraMovLa03   ; Frankenstein: Ladder u/d Phase 03
SprFraMovLa04       dc.w DatFraMovLa04   ; Frankenstein: Ladder u/d Phase 04
                    
SprFraStaCoff       dc.w DatFraStaCoff   ; Frankenstein: In Coffin
                    
SprForMov01         dc.w DatForMov01     ; Force Field: Phase 01 (thin)
SprForMov02         dc.w DatForMov02     ; Force Field: Phase 02 (thick)
SprForMov03         dc.w DatForMov03     ; Force Field: Phase 03 (off)
                    
SprSpaMov01         dc.w DatSpaMov01     ; Lightning Machine: Phase 01
SprSpaMov02         dc.w DatSpaMov02     ; Lightning Machine: Phase 02
SprSpaMov03         dc.w DatSpaMov03     ; Lightning Machine: Phase 03
SprSpaMov04         dc.w DatSpaMov04     ; Lightning Machine: Phase 04
                    
SprRayMov01         dc.w DatRayMov01     ; Ray Gun: Beam
                    
SprArrUp            dc.w DatArrUp        ; Arrow: Up
SprArrRi            dc.w DatArrRi        ; Arrow: Right
SprArrDo            dc.w DatArrDo        ; Arrow: Down
SprArrLe            dc.w DatArrLe        ; Arrow: Left
; ------------------------------------------------------------------------------------------------------------- ;
NoSprPlrMovLe01     equ  (SprPlrMovLe01   - TabSpriteDataPtr) / 2
NoSprPlrMovLe02     equ  (SprPlrMovLe02   - TabSpriteDataPtr) / 2
NoSprPlrMovLe03     equ  (SprPlrMovLe03   - TabSpriteDataPtr) / 2
                    
NoSprPlrMovLeMin    equ  NoSprPlrMovLe01
NoSprPlrMovLeMax    equ  NoSprPlrMovLe03 + 1

NoSprPlrMovRi01     equ  (SprPlrMovRi01   - TabSpriteDataPtr) / 2
NoSprPlrMovRi02     equ  (SprPlrMovRi02   - TabSpriteDataPtr) / 2
NoSprPlrMovRi03     equ  (SprPlrMovRi03   - TabSpriteDataPtr) / 2
                    
NoSprPlrMovRiMin    equ  NoSprPlrMovRi01
NoSprPlrMovRiMax    equ  NoSprPlrMovRi03 + 1

NoSprPlrMovLa01     equ  (SprPlrMovLa01   - TabSpriteDataPtr) / 2
NoSprPlrMovLa02     equ  (SprPlrMovLa02   - TabSpriteDataPtr) / 2
NoSprPlrMovLa03     equ  (SprPlrMovLa03   - TabSpriteDataPtr) / 2
NoSprPlrMovLa04     equ  (SprPlrMovLa04   - TabSpriteDataPtr) / 2
                    
NoSprPlrMovLaMin    equ  NoSprPlrMovLa01
NoSprPlrMovLaMax    equ  NoSprPlrMovLa04 + 1

NoSprPlrMovPole     equ  (SprPlrMovPole   - TabSpriteDataPtr) / 2
                    
NoSprPlrArrRoLe     equ  (SprPlrArrRoLe   - TabSpriteDataPtr) / 2
NoSprPlrArrRoRi     equ  (SprPlrArrRoRi   - TabSpriteDataPtr) / 2

NoSprPlrArrRo01     equ  (SprPlrArrRo01   - TabSpriteDataPtr) / 2
NoSprPlrArrRo02     equ  (SprPlrArrRo02   - TabSpriteDataPtr) / 2
NoSprPlrArrRo03     equ  (SprPlrArrRo03   - TabSpriteDataPtr) / 2
NoSprPlrArrRo04     equ  (SprPlrArrRo04   - TabSpriteDataPtr) / 2
NoSprPlrArrRo05     equ  (SprPlrArrRo05   - TabSpriteDataPtr) / 2
                    
NoSprPlrWavGB01     equ  (SprPlrWavGB01   - TabSpriteDataPtr) / 2
NoSprPlrWavGB02     equ  (SprPlrWavGB02   - TabSpriteDataPtr) / 2
NoSprPlrWavGB03     equ  (SprPlrWavGB01   - TabSpriteDataPtr) / 2
NoSprPlrWavGB04     equ  (SprPlrWavGB04   - TabSpriteDataPtr) / 2 - 1 

NoSprPlrWavGBMin    equ  NoSprPlrWavGB01
NoSprPlrWavGBMax    equ  NoSprPlrWavGB04 + 2
                    
NoSprMumMovLe01     equ  (SprMumMovLe01   - TabSpriteDataPtr) / 2
NoSprMumMovLe02     equ  (SprMumMovLe02   - TabSpriteDataPtr) / 2
NoSprMumMovLe03     equ  (SprMumMovLe03   - TabSpriteDataPtr) / 2
                    
NoSprMumMovLeMin    equ  NoSprMumMovLe01
NoSprMumMovLeMax    equ  NoSprMumMovLe03 + 1

NoSprMumMovRi01     equ  (SprMumMovRi01   - TabSpriteDataPtr) / 2
NoSprMumMovRi02     equ  (SprMumMovRi02   - TabSpriteDataPtr) / 2
NoSprMumMovRi03     equ  (SprMumMovRi03   - TabSpriteDataPtr) / 2
                    
NoSprMumMovRiMin    equ  NoSprMumMovRi01
NoSprMumMovRiMax    equ  NoSprMumMovRi03 + 1
                    
NoSprMumStaLe01     equ  (SprMumStaLe01   - TabSpriteDataPtr) / 2 ; .hbu006.
NoSprMumStaLe02     equ  (SprMumStaLe02   - TabSpriteDataPtr) / 2 ; .hbu006.
NoSprMumStaLe03     equ  (SprMumStaLe03   - TabSpriteDataPtr) / 2 ; .hbu006.
                    
NoSprMumStaLeMin    equ  NoSprMumStaLe01      ; .hbu006.
NoSprMumStaLeMax    equ  NoSprMumStaLe03 + 1  ; .hbu006.
                    
NoSprMumStaRi01     equ  (SprMumStaRi01   - TabSpriteDataPtr) / 2 ; .hbu006.
NoSprMumStaRi02     equ  (SprMumStaRi02   - TabSpriteDataPtr) / 2 ; .hbu006.
NoSprMumStaRi03     equ  (SprMumStaRi03   - TabSpriteDataPtr) / 2 ; .hbu006.
                    
NoSprMumStaRiMin    equ  NoSprMumStaRi01      ; .hbu006.
NoSprMumStaRiMax    equ  NoSprMumStaRi03 + 1  ; .hbu006.
                    
NoSprMumMovOu01     equ  (SprMumMovOu01   - TabSpriteDataPtr) / 2
NoSprMumMovOu02     equ  (SprMumMovOu02   - TabSpriteDataPtr) / 2
NoSprMumMovOu03     equ  (SprMumMovOu03   - TabSpriteDataPtr) / 2
NoSprMumMovOu04     equ  (SprMumMovOu04   - TabSpriteDataPtr) / 2
NoSprMumMovOu05     equ  (SprMumMovOu05   - TabSpriteDataPtr) / 2
NoSprMumMovOu06     equ  (SprMumMovOu06   - TabSpriteDataPtr) / 2
                    
NoSprMumMovOuMin    equ  NoSprMumMovOu01
NoSprMumMovOuMax    equ  NoSprMumMovOu06 + 1
                    
NoSprFraMovRi01     equ  (SprFraMovRi01   - TabSpriteDataPtr) / 2
NoSprFraMovRi02     equ  (SprFraMovRi02   - TabSpriteDataPtr) / 2
NoSprFraMovRi03     equ  (SprFraMovRi03   - TabSpriteDataPtr) / 2
                    
NoSprFraMovRiMin    equ  NoSprFraMovRi01
NoSprFraMovRiMax    equ  NoSprFraMovRi03 + 1

NoSprFraMovLe01     equ  (SprFraMovLe01   - TabSpriteDataPtr) / 2
NoSprFraMovLe02     equ  (SprFraMovLe02   - TabSpriteDataPtr) / 2
NoSprFraMovLe03     equ  (SprFraMovLe03   - TabSpriteDataPtr) / 2
                    
NoSprFraMovLeMin    equ  NoSprFraMovLe01
NoSprFraMovLeMax    equ  NoSprFraMovLe03 + 1

NoSprFraMovLa01     equ  (SprFraMovLa01   - TabSpriteDataPtr) / 2
NoSprFraMovLa02     equ  (SprFraMovLa02   - TabSpriteDataPtr) / 2
NoSprFraMovLa03     equ  (SprFraMovLa03   - TabSpriteDataPtr) / 2
NoSprFraMovLa04     equ  (SprFraMovLa04   - TabSpriteDataPtr) / 2
                    
NoSprFraMovLaMin    equ  NoSprFraMovLa01
NoSprFraMovLaMax    equ  NoSprFraMovLa04 + 1
                    
NoSprFraMovPole     equ  (SprFraMovPole   - TabSpriteDataPtr) / 2

NoSprFraStaCoff     equ  (SprFraStaCoff   - TabSpriteDataPtr) / 2
                    
NoSprSpaMov01       equ  (SprSpaMov01     - TabSpriteDataPtr) / 2
NoSprSpaMov02       equ  (SprSpaMov02     - TabSpriteDataPtr) / 2
NoSprSpaMov03       equ  (SprSpaMov03     - TabSpriteDataPtr) / 2
NoSprSpaMov04       equ  (SprSpaMov04     - TabSpriteDataPtr) / 2
                    
NoSprSpaMovMin      equ  NoSprSpaMov01
NoSprSpaMovMax      equ  NoSprSpaMov04 + 1
                    
NoSprForMov01       equ  (SprForMov01     - TabSpriteDataPtr) / 2
NoSprForMov02       equ  (SprForMov02     - TabSpriteDataPtr) / 2
NoSprForMov03       equ  (SprForMov03     - TabSpriteDataPtr) / 2
                    
NoSprRayMov01       equ  (SprRayMov01     - TabSpriteDataPtr) / 2
                    
NoSprArrUp          equ  (SprArrUp        - TabSpriteDataPtr) / 2
NoSprArrRi          equ  (SprArrRi        - TabSpriteDataPtr) / 2
NoSprArrDo          equ  (SprArrDo        - TabSpriteDataPtr) / 2
NoSprArrLe          equ  (SprArrLe        - TabSpriteDataPtr) / 2
; ------------------------------------------------------------------------------------------------------------- ;
